Tonyu.klass.define({
  fullName: 'user.Achievement',
  shortName: 'Achievement',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Achievement_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000000;//user.Achievement:0
      _this.width = 300;
      
      //$LASTPOS=1000015;//user.Achievement:15
      _this.height = 100;
      
      
      //$LASTPOS=1000038;//user.Achievement:38
      _this.zOrder=- 10;
      //$LASTPOS=1000050;//user.Achievement:50
      _this.x=50;
      //$LASTPOS=1000056;//user.Achievement:56
      _this.y=_this.height*3;
      //$LASTPOS=1000068;//user.Achievement:68
      _this.alpha=255;
      //$LASTPOS=1000079;//user.Achievement:79
      if (Tonyu.globals.$inTitle) {
        //$LASTPOS=1000099;//user.Achievement:99
        _this.y=Tonyu.globals.$screenHeight-_this.height;
        //$LASTPOS=1000127;//user.Achievement:127
        _this.updateEx(120);
        //$LASTPOS=1000146;//user.Achievement:146
        _this.fadeout();
        
      } else {
        //$LASTPOS=1000170;//user.Achievement:170
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_fanfare);
        
      }
      //$LASTPOS=1000200;//user.Achievement:200
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=1000218;//user.Achievement:218
        _this.up = _this.all(Tonyu.classes.user.Achievement).find((function anonymous_247(a) {
          
          return a.inrect({x: _this.x+_this.width/2,y: _this.y-2});
        }));
        
        //$LASTPOS=1000311;//user.Achievement:311
        if (_this.up.length==0&&_this.y>0) {
          //$LASTPOS=1000336;//user.Achievement:336
          _this.y-=_this.height/10;
        }
        //$LASTPOS=1000354;//user.Achievement:354
        _this.update();
        
      }
    },
    fiber$main :function _trc_Achievement_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000000;//user.Achievement:0
      _this.width = 300;
      
      //$LASTPOS=1000015;//user.Achievement:15
      _this.height = 100;
      
      
      //$LASTPOS=1000038;//user.Achievement:38
      _this.zOrder=- 10;
      //$LASTPOS=1000050;//user.Achievement:50
      _this.x=50;
      //$LASTPOS=1000056;//user.Achievement:56
      _this.y=_this.height*3;
      //$LASTPOS=1000068;//user.Achievement:68
      _this.alpha=255;
      
      _thread.enter(function _trc_Achievement_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=1000079;//user.Achievement:79
            if (!(Tonyu.globals.$inTitle)) { __pc=3     ; break; }
            //$LASTPOS=1000099;//user.Achievement:99
            _this.y=Tonyu.globals.$screenHeight-_this.height;
            //$LASTPOS=1000127;//user.Achievement:127
            _this.fiber$updateEx(_thread, 120);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=1000146;//user.Achievement:146
            _this.fiber$fadeout(_thread);
            __pc=2;return;
          case 2:
            
            __pc=4     ;break;
          case 3     :
            {
              //$LASTPOS=1000170;//user.Achievement:170
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_fanfare);
            }
          case 4     :
            
            //$LASTPOS=1000200;//user.Achievement:200
          case 5:
            //$LASTPOS=1000218;//user.Achievement:218
            _this.up = _this.all(Tonyu.classes.user.Achievement).find((function anonymous_247(a) {
              
              return a.inrect({x: _this.x+_this.width/2,y: _this.y-2});
            }));
            
            //$LASTPOS=1000311;//user.Achievement:311
            if (_this.up.length==0&&_this.y>0) {
              //$LASTPOS=1000336;//user.Achievement:336
              _this.y-=_this.height/10;
            }
            //$LASTPOS=1000354;//user.Achievement:354
            _this.fiber$update(_thread);
            __pc=6;return;
          case 6:
            
            __pc=5;break;
          case 7     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    draw :function _trc_Achievement_draw(ctx) {
      "use strict";
      var _this=this;
      var m;
      var fgc;
      var bgc;
      var tsize;
      var dsize;
      var i;
      var l;
      var _it_2;
      
      //$LASTPOS=1000384;//user.Achievement:384
      m = 5;
      fgc = "black";
      bgc = "#fed";
      tsize = 20;
      dsize = 15;
      
      //$LASTPOS=1000438;//user.Achievement:438
      ctx.save();
      //$LASTPOS=1000454;//user.Achievement:454
      ctx.globalAlpha=_this.alpha/255;
      //$LASTPOS=1000485;//user.Achievement:485
      ctx.font=tsize+"px sans-serif";
      //$LASTPOS=1000521;//user.Achievement:521
      ctx.fillStyle=bgc;
      //$LASTPOS=1000544;//user.Achievement:544
      ctx.fillRect(_this.x,_this.y,_this.width,_this.height);
      //$LASTPOS=1000580;//user.Achievement:580
      ctx.textBaseline="top";
      //$LASTPOS=1000608;//user.Achievement:608
      ctx.fillStyle=fgc;
      //$LASTPOS=1000631;//user.Achievement:631
      ctx.fillText("実績"+(Tonyu.globals.$inTitle?"事典":"解除")+":"+_this.a.name,_this.x+m,_this.y+m);
      //$LASTPOS=1000695;//user.Achievement:695
      ctx.font=dsize+"px sans-serif";
      //$LASTPOS=1000731;//user.Achievement:731
      _it_2=Tonyu.iterator(_this.a.desc.split("\n"),2);
      while(_it_2.next()) {
        i=_it_2[0];
        l=_it_2[1];
        
        //$LASTPOS=1000777;//user.Achievement:777
        ctx.fillText(l,_this.x+m,_this.y+m*2+tsize+(m+dsize)*i);
        
      }
      //$LASTPOS=1000833;//user.Achievement:833
      ctx.restore();
    },
    receive :function _trc_Achievement_receive() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000868;//user.Achievement:868
      if (_this.received) {
        return _this;
      }
      //$LASTPOS=1000893;//user.Achievement:893
      _this.received=true;
      //$LASTPOS=1000912;//user.Achievement:912
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      //$LASTPOS=1000941;//user.Achievement:941
      _this.parallel(Tonyu.bindFunc(_this,_this.fadeout));
      //$LASTPOS=1000964;//user.Achievement:964
      Tonyu.globals.$money+=_this.a.reward;
      //$LASTPOS=1000986;//user.Achievement:986
      Tonyu.globals.$alist.addLog({type: "receive","for": _this.a,after: Tonyu.globals.$money});
      //$LASTPOS=1001042;//user.Achievement:1042
      new Tonyu.classes.user.Reward({x: _this.x+_this.width/2,y: _this.y+_this.height/2,amount: _this.a.reward});
    },
    fiber$receive :function _trc_Achievement_f_receive(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000868;//user.Achievement:868
      if (_this.received) {
        _thread.retVal=_this;return;
        
      }
      //$LASTPOS=1000893;//user.Achievement:893
      _this.received=true;
      //$LASTPOS=1000912;//user.Achievement:912
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      //$LASTPOS=1000941;//user.Achievement:941
      _this.parallel(Tonyu.bindFunc(_this,_this.fadeout));
      //$LASTPOS=1000964;//user.Achievement:964
      Tonyu.globals.$money+=_this.a.reward;
      //$LASTPOS=1000986;//user.Achievement:986
      Tonyu.globals.$alist.addLog({type: "receive","for": _this.a,after: Tonyu.globals.$money});
      //$LASTPOS=1001042;//user.Achievement:1042
      new Tonyu.classes.user.Reward({x: _this.x+_this.width/2,y: _this.y+_this.height/2,amount: _this.a.reward});
      
      _thread.retVal=_this;return;
    },
    fadeout :function _trc_Achievement_fadeout() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1001115;//user.Achievement:1115
      //$LASTPOS=1001119;//user.Achievement:1119
      _this.i=0;for (; _this.i<10 ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=1001143;//user.Achievement:1143
          _this.y-=10;
          //$LASTPOS=1001158;//user.Achievement:1158
          _this.update();
          //$LASTPOS=1001176;//user.Achievement:1176
          _this.alpha-=25;
        }
      }
      //$LASTPOS=1001197;//user.Achievement:1197
      _this.die();
    },
    fiber$fadeout :function _trc_Achievement_f_fadeout(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Achievement_ent_fadeout(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=1001115;//user.Achievement:1115
            //$LASTPOS=1001119;//user.Achievement:1119
            _this.i=0;
          case 1:
            if (!(_this.i<10)) { __pc=4     ; break; }
            //$LASTPOS=1001143;//user.Achievement:1143
            _this.y-=10;
            //$LASTPOS=1001158;//user.Achievement:1158
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            //$LASTPOS=1001176;//user.Achievement:1176
            _this.alpha-=25;
          case 3     :
            _this.i++;
            __pc=1;break;
          case 4     :
            
            //$LASTPOS=1001197;//user.Achievement:1197
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    inrect :function _trc_Achievement_inrect(t) {
      "use strict";
      var _this=this;
      
      return t.x>_this.x&&t.y>_this.y&&t.x<_this.x+_this.width&&t.y<_this.y+_this.height;
    },
    fiber$inrect :function _trc_Achievement_f_inrect(_thread,t) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=t.x>_this.x&&t.y>_this.y&&t.x<_this.x+_this.width&&t.y<_this.y+_this.height;return;
      
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true},"receive":{"nowait":false},"fadeout":{"nowait":false},"inrect":{"nowait":false}},"fields":{"width":{},"height":{},"a":{},"up":{},"received":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.AList',
  shortName: 'AList',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_AList_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000000;//user.AList:0
      _this.logs=[];
      //$LASTPOS=2000009;//user.AList:9
      _this.list=[];
      //$LASTPOS=2000018;//user.AList:18
      _this.add({name: "初めての課金",desc: "初めて課金をする\n(タッチで報酬受け取り)",reward: 30,cond: (function anonymous_102(ctx) {
        
        return _this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2000161;//user.AList:161
      Tonyu.globals.$itn=_this.add({name: "いたいにゃん",desc: "ねこがダメージを受ける",reward: 30,cond: (function anonymous_239(ctx) {
        var l;
        
        //$LASTPOS=2000256;//user.AList:256
        l = _this.lastTypeIs(ctx,"damage");
        
        return l&&l.chara instanceof Tonyu.classes.user.Cat;
      })});
      //$LASTPOS=2000333;//user.AList:333
      _this.add({name: "いたいわん",desc: "いぬがダメージを受ける",reward: 30,cond: (function anonymous_405(ctx) {
        var l;
        
        //$LASTPOS=2000422;//user.AList:422
        l = _this.lastTypeIs(ctx,"damage");
        
        return l&&l.chara instanceof Tonyu.classes.user.Dog;
      })});
      //$LASTPOS=2000802;//user.AList:802
      Tonyu.globals.$snk=_this.add({name: "初任給",desc: "初めて報酬を受け取る",reward: 20,cond: (function anonymous_876(ctx) {
        
        return _this.lastTypeIs(ctx,"receive");
      })});
      //$LASTPOS=2000936;//user.AList:936
      Tonyu.globals.$nkk=_this.add({name: "ねこ課金",desc: "ねこがいる状態で課金する",reward: 50,cond: (function anonymous_1013(ctx) {
        
        return _this.all(Tonyu.classes.user.Cat).length&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2001099;//user.AList:1099
      Tonyu.globals.$ink=_this.add({name: "いぬ課金",desc: "いぬがいる状態で課金する",reward: 150,cond: (function anonymous_1177(ctx) {
        
        return _this.all(Tonyu.classes.user.Dog).length&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2001263;//user.AList:1263
      Tonyu.globals.$mmk=_this.add({name: "見舞金",desc: "ダメージを受けている\nいぬねこが3匹以上\nいる状態で課金する",reward: 50,cond: (function anonymous_1359(ctx) {
        
        return _this.all(Tonyu.classes.user.Chara).find((function anonymous_1398(c) {
          
          return c.damaged;
        })).length>=3&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2001478;//user.AList:1478
      Tonyu.globals.$umn=_this.add({name: "うまいにゃん",desc: "魚を食べたねこがいる\n状態で課金する",reward: 50,cond: (function anonymous_1564(ctx) {
        
        return _this.all(Tonyu.classes.user.Cat).find((function anonymous_1601(c) {
          
          return c.eaten;
        })).length&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2001676;//user.AList:1676
      Tonyu.globals.$umw=_this.add({name: "うまいわん",desc: "野菜を食べたいぬがいる\n状態で課金する",reward: 50,cond: (function anonymous_1762(ctx) {
        
        return _this.all(Tonyu.classes.user.Dog).find((function anonymous_1799(c) {
          
          return c.eaten;
        })).length&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2001874;//user.AList:1874
      _this.add({name: "まんぞく３",desc: "魚を3個以上食べたねこがいる\n状態で課金する",reward: 500,cond: (function anonymous_1959(ctx) {
        
        return _this.all(Tonyu.classes.user.Cat).find((function anonymous_1996(c) {
          
          return c.eaten>=3;
        })).length&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2002074;//user.AList:2074
      _this.add({name: "いぬは野菜OKだっけ",desc: "野菜を3個以上食べたいぬがいる\n状態で課金する",reward: 1000,cond: (function anonymous_2166(ctx) {
        
        return _this.all(Tonyu.classes.user.Dog).find((function anonymous_2203(c) {
          
          return c.eaten>=3;
        })).length&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2002281;//user.AList:2281
      Tonyu.globals.$frk=_this.add({name: "サラダ課金",desc: "野菜がある状態で課金する",reward: 50,cond: (function anonymous_2359(ctx) {
        
        return _this.all(Tonyu.classes.user.Fruit).length&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2002447;//user.AList:2447
      _this.add({name: "くいしんドッグ",desc: "「サラダ課金」達成後\n野菜がいない状態で課金する",reward: 60,cond: (function anonymous_2535(ctx) {
        
        return Tonyu.globals.$frk.completed&&_this.all(Tonyu.classes.user.Fruit).length==0&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2002645;//user.AList:2645
      Tonyu.globals.$ggk=_this.add({name: "ぎょぎょ課金",desc: "魚がいる状態で課金する",reward: 50,cond: (function anonymous_2723(ctx) {
        
        return _this.all(Tonyu.classes.user.Fish).length&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2002810;//user.AList:2810
      _this.add({name: "なかよく分けよう",desc: "魚とねこが同数いる\n状態で課金する",reward: 50,cond: (function anonymous_2892(ctx) {
        var f;
        var c;
        
        //$LASTPOS=2002909;//user.AList:2909
        f = _this.all(Tonyu.classes.user.Fish).length;
        c = _this.all(Tonyu.classes.user.Cat).length;
        
        //$LASTPOS=2002959;//user.AList:2959
        ctx.a.reward=f*10;
        return f&&f==c&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2003049;//user.AList:3049
      _this.add({name: "奪い合い",desc: "魚1匹とねこ5匹以上\nいる状態で課金する",reward: 200,cond: (function anonymous_3131(ctx) {
        var f;
        var c;
        
        //$LASTPOS=2003148;//user.AList:3148
        f = _this.all(Tonyu.classes.user.Fish).length;
        c = _this.all(Tonyu.classes.user.Cat).length;
        
        //$LASTPOS=2003198;//user.AList:3198
        ctx.a.reward=c*10;
        return f==1&&c>=5&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2003291;//user.AList:3291
      _this.add({name: "ねこどこ？",desc: "「ねこ課金」達成後\nねこがいない状態で課金する",reward: 60,cond: (function anonymous_3376(ctx) {
        
        return Tonyu.globals.$nkk.completed&&_this.all(Tonyu.classes.user.Cat).length==0&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2003483;//user.AList:3483
      _this.add({name: "いぬがどこにも..",desc: "「いぬ課金」達成後\nいぬがいない状態で課金する",reward: 60,cond: (function anonymous_3572(ctx) {
        
        return Tonyu.globals.$ink.completed&&_this.all(Tonyu.classes.user.Dog).length==0&&_this.lastTypeIs(ctx,"charge");
      })});
      //$LASTPOS=2003679;//user.AList:3679
      _this.add({name: "連続課金",desc: "同額を3回連続課金する",reward: 30,cond: (function anonymous_3750(ctx) {
        var s;
        var i;
        
        //$LASTPOS=2003767;//user.AList:3767
        s = ctx.logs.slice(- 3);
        
        //$LASTPOS=2003828;//user.AList:3828
        if (s.length<3) {
          return false;
        }
        //$LASTPOS=2003866;//user.AList:3866
        //$LASTPOS=2003871;//user.AList:3871
        i = 0;
        for (; i<3 ; i++) {
          Tonyu.checkLoop();
          {
            //$LASTPOS=2003902;//user.AList:3902
            if (s[i].type!=="charge") {
              return false;
            }
            //$LASTPOS=2003954;//user.AList:3954
            if (s[i].fare!==s[0].fare) {
              return false;
            }
          }
        }
        //$LASTPOS=2004013;//user.AList:4013
        ctx.a.reward=s[0].fare*5;
        return true;
      })});
      //$LASTPOS=2004070;//user.AList:4070
      _this.add({name: "階段課金",desc: "課金額を10円から50円まで\n上げながら課金する",reward: 200,cond: (function anonymous_4156(ctx) {
        var s;
        var i;
        
        //$LASTPOS=2004173;//user.AList:4173
        s = ctx.logs.slice(- 5);
        
        //$LASTPOS=2004234;//user.AList:4234
        if (s.length<5) {
          return false;
        }
        //$LASTPOS=2004272;//user.AList:4272
        //$LASTPOS=2004277;//user.AList:4277
        i = 0;
        for (; i<5 ; i++) {
          Tonyu.checkLoop();
          {
            //$LASTPOS=2004308;//user.AList:4308
            if (s[i].type!=="charge") {
              return false;
            }
            //$LASTPOS=2004360;//user.AList:4360
            if (s[i].fare!==10+i*10) {
              return false;
            }
          }
        }
        return true;
      })});
      //$LASTPOS=2004439;//user.AList:4439
      _this.add({name: "階段課金(下り)",desc: "課金額を50円から10円まで\n下げながら課金する",reward: 200,cond: (function anonymous_4529(ctx) {
        var s;
        var i;
        
        //$LASTPOS=2004546;//user.AList:4546
        s = ctx.logs.slice(- 5);
        
        //$LASTPOS=2004607;//user.AList:4607
        if (s.length<5) {
          return false;
        }
        //$LASTPOS=2004645;//user.AList:4645
        //$LASTPOS=2004650;//user.AList:4650
        i = 0;
        for (; i<5 ; i++) {
          Tonyu.checkLoop();
          {
            //$LASTPOS=2004681;//user.AList:4681
            if (s[i].type!=="charge") {
              return false;
            }
            //$LASTPOS=2004733;//user.AList:4733
            if (s[i].fare!==50-i*10) {
              return false;
            }
          }
        }
        return true;
      })});
      //$LASTPOS=2004812;//user.AList:4812
      _this.add({name: "しんでしまうとは",desc: "課金によって所持金を半額にする",reward: 80,cond: (function anonymous_4891(ctx) {
        var s;
        
        //$LASTPOS=2004908;//user.AList:4908
        s = _this.lastLog(ctx);
        
        return s&&s.type==="charge"&&s.fare===s.after;
      })});
      //$LASTPOS=2004996;//user.AList:4996
      _this.add({name: "ワン瞬間",desc: "ねこがダメージを受けた瞬間に\n課金する．",reward: 300,cond: (function anonymous_5078(ctx) {
        var l;
        var d;
        
        //$LASTPOS=2005095;//user.AList:5095
        l = _this.logsByType(ctx,"charge");
        
        //$LASTPOS=2005135;//user.AList:5135
        d = _this.logsByType(ctx,"damage");
        
        //$LASTPOS=2005175;//user.AList:5175
        if (l.length*d.length==0) {
          return false;
        }
        //$LASTPOS=2005259;//user.AList:5259
        l=l[l.length-1];
        //$LASTPOS=2005284;//user.AList:5284
        d=d[d.length-1];
        return (d.chara instanceof Tonyu.classes.user.Cat)&&_this.abs(l.time-d.time)<=10;
      })});
      //$LASTPOS=2005406;//user.AList:5406
      _this.add({name: "ニャン瞬間",desc: "いぬがダメージを受けた瞬間に\n課金する．",reward: 500,cond: (function anonymous_5489(ctx) {
        var l;
        var d;
        
        //$LASTPOS=2005506;//user.AList:5506
        l = _this.logsByType(ctx,"charge");
        
        //$LASTPOS=2005546;//user.AList:5546
        d = _this.logsByType(ctx,"damage");
        
        //$LASTPOS=2005586;//user.AList:5586
        if (l.length*d.length==0) {
          return false;
        }
        //$LASTPOS=2005670;//user.AList:5670
        l=l[l.length-1];
        //$LASTPOS=2005695;//user.AList:5695
        d=d[d.length-1];
        return (d.chara instanceof Tonyu.classes.user.Dog)&&_this.abs(l.time-d.time)<=10;
      })});
      //$LASTPOS=2005817;//user.AList:5817
      _this.add({name: "課金ラッシュ",desc: "1秒間に5回課金する",reward: 50,cond: (function anonymous_5889(ctx) {
        var l;
        
        //$LASTPOS=2005906;//user.AList:5906
        l = _this.logsByType(ctx,"charge");
        
        //$LASTPOS=2005946;//user.AList:5946
        if (l.length<5) {
          return false;
        }
        return l[l.length-1].time-l[l.length-5].time<70;
      })});
      //$LASTPOS=2006045;//user.AList:6045
      _this.add({name: "課金ラッシュハイパー",desc: "1秒間に50円を5回課金する",reward: 550,cond: (function anonymous_6126(ctx) {
        var l;
        var i;
        
        //$LASTPOS=2006143;//user.AList:6143
        l = _this.logsByType(ctx,"charge");
        
        //$LASTPOS=2006183;//user.AList:6183
        if (l.length<5) {
          return false;
        }
        //$LASTPOS=2006221;//user.AList:6221
        //$LASTPOS=2006226;//user.AList:6226
        i = l.length-5;
        for (; i<l.length ; i++) {
          Tonyu.checkLoop();
          {
            //$LASTPOS=2006273;//user.AList:6273
            if (l[i].fare!==50) {
              return false;
            }
          }
        }
        return l[l.length-1].time-l[l.length-5].time<70;
      })});
      //$LASTPOS=2006386;//user.AList:6386
      _this.add({name: "私財をなげうってでも",desc: "5秒間に1000円課金する",reward: 2000,cond: (function anonymous_6467(ctx) {
        var l;
        var lastTime;
        var a;
        var i;
        
        //$LASTPOS=2006484;//user.AList:6484
        l = _this.logsByType(ctx,"charge");
        
        //$LASTPOS=2006524;//user.AList:6524
        lastTime = null;
        a = 0;
        
        //$LASTPOS=2006556;//user.AList:6556
        //$LASTPOS=2006561;//user.AList:6561
        i = l.length-1;
        for (; i>=0 ; i--) {
          Tonyu.checkLoop();
          {
            //$LASTPOS=2006602;//user.AList:6602
            a+=l[i].fare;
            //$LASTPOS=2006628;//user.AList:6628
            if (lastTime==null) {
              //$LASTPOS=2006666;//user.AList:6666
              lastTime=l[i].time;
              
            } else {
              //$LASTPOS=2006705;//user.AList:6705
              if (lastTime-l[i].time>5*60) {
                break;
                
              }
            }
          }
        }
        return a>=1000;
      })});
      //$LASTPOS=2006784;//user.AList:6784
      _this.add({name: "受給ラッシュ",desc: "1秒間に3個の報酬を受け取る",reward: 50,cond: (function anonymous_6860(ctx) {
        var l;
        
        //$LASTPOS=2006877;//user.AList:6877
        l = _this.logsByType(ctx,"receive");
        
        //$LASTPOS=2006918;//user.AList:6918
        if (l.length<3) {
          return false;
        }
        return l[l.length-1].time-l[l.length-3].time<60;
      })});
    },
    fiber$main :function _trc_AList_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2000000;//user.AList:0
      _this.logs=[];
      //$LASTPOS=2000009;//user.AList:9
      _this.list=[];
      
      _thread.enter(function _trc_AList_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000018;//user.AList:18
            _this.fiber$add(_thread, {name: "初めての課金",desc: "初めて課金をする\n(タッチで報酬受け取り)",reward: 30,cond: (function anonymous_102(ctx) {
              
              return _this.lastTypeIs(ctx,"charge");
            })});
            __pc=1;return;
          case 1:
            
            //$LASTPOS=2000161;//user.AList:161
            _this.fiber$add(_thread, {name: "いたいにゃん",desc: "ねこがダメージを受ける",reward: 30,cond: (function anonymous_239(ctx) {
              var l;
              
              //$LASTPOS=2000256;//user.AList:256
              l = _this.lastTypeIs(ctx,"damage");
              
              return l&&l.chara instanceof Tonyu.classes.user.Cat;
            })});
            __pc=2;return;
          case 2:
            Tonyu.globals.$itn=_thread.retVal;
            
            //$LASTPOS=2000333;//user.AList:333
            _this.fiber$add(_thread, {name: "いたいわん",desc: "いぬがダメージを受ける",reward: 30,cond: (function anonymous_405(ctx) {
              var l;
              
              //$LASTPOS=2000422;//user.AList:422
              l = _this.lastTypeIs(ctx,"damage");
              
              return l&&l.chara instanceof Tonyu.classes.user.Dog;
            })});
            __pc=3;return;
          case 3:
            
            //$LASTPOS=2000802;//user.AList:802
            _this.fiber$add(_thread, {name: "初任給",desc: "初めて報酬を受け取る",reward: 20,cond: (function anonymous_876(ctx) {
              
              return _this.lastTypeIs(ctx,"receive");
            })});
            __pc=4;return;
          case 4:
            Tonyu.globals.$snk=_thread.retVal;
            
            //$LASTPOS=2000936;//user.AList:936
            _this.fiber$add(_thread, {name: "ねこ課金",desc: "ねこがいる状態で課金する",reward: 50,cond: (function anonymous_1013(ctx) {
              
              return _this.all(Tonyu.classes.user.Cat).length&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=5;return;
          case 5:
            Tonyu.globals.$nkk=_thread.retVal;
            
            //$LASTPOS=2001099;//user.AList:1099
            _this.fiber$add(_thread, {name: "いぬ課金",desc: "いぬがいる状態で課金する",reward: 150,cond: (function anonymous_1177(ctx) {
              
              return _this.all(Tonyu.classes.user.Dog).length&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=6;return;
          case 6:
            Tonyu.globals.$ink=_thread.retVal;
            
            //$LASTPOS=2001263;//user.AList:1263
            _this.fiber$add(_thread, {name: "見舞金",desc: "ダメージを受けている\nいぬねこが3匹以上\nいる状態で課金する",reward: 50,cond: (function anonymous_1359(ctx) {
              
              return _this.all(Tonyu.classes.user.Chara).find((function anonymous_1398(c) {
                
                return c.damaged;
              })).length>=3&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=7;return;
          case 7:
            Tonyu.globals.$mmk=_thread.retVal;
            
            //$LASTPOS=2001478;//user.AList:1478
            _this.fiber$add(_thread, {name: "うまいにゃん",desc: "魚を食べたねこがいる\n状態で課金する",reward: 50,cond: (function anonymous_1564(ctx) {
              
              return _this.all(Tonyu.classes.user.Cat).find((function anonymous_1601(c) {
                
                return c.eaten;
              })).length&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=8;return;
          case 8:
            Tonyu.globals.$umn=_thread.retVal;
            
            //$LASTPOS=2001676;//user.AList:1676
            _this.fiber$add(_thread, {name: "うまいわん",desc: "野菜を食べたいぬがいる\n状態で課金する",reward: 50,cond: (function anonymous_1762(ctx) {
              
              return _this.all(Tonyu.classes.user.Dog).find((function anonymous_1799(c) {
                
                return c.eaten;
              })).length&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=9;return;
          case 9:
            Tonyu.globals.$umw=_thread.retVal;
            
            //$LASTPOS=2001874;//user.AList:1874
            _this.fiber$add(_thread, {name: "まんぞく３",desc: "魚を3個以上食べたねこがいる\n状態で課金する",reward: 500,cond: (function anonymous_1959(ctx) {
              
              return _this.all(Tonyu.classes.user.Cat).find((function anonymous_1996(c) {
                
                return c.eaten>=3;
              })).length&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=10;return;
          case 10:
            
            //$LASTPOS=2002074;//user.AList:2074
            _this.fiber$add(_thread, {name: "いぬは野菜OKだっけ",desc: "野菜を3個以上食べたいぬがいる\n状態で課金する",reward: 1000,cond: (function anonymous_2166(ctx) {
              
              return _this.all(Tonyu.classes.user.Dog).find((function anonymous_2203(c) {
                
                return c.eaten>=3;
              })).length&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=11;return;
          case 11:
            
            //$LASTPOS=2002281;//user.AList:2281
            _this.fiber$add(_thread, {name: "サラダ課金",desc: "野菜がある状態で課金する",reward: 50,cond: (function anonymous_2359(ctx) {
              
              return _this.all(Tonyu.classes.user.Fruit).length&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=12;return;
          case 12:
            Tonyu.globals.$frk=_thread.retVal;
            
            //$LASTPOS=2002447;//user.AList:2447
            _this.fiber$add(_thread, {name: "くいしんドッグ",desc: "「サラダ課金」達成後\n野菜がいない状態で課金する",reward: 60,cond: (function anonymous_2535(ctx) {
              
              return Tonyu.globals.$frk.completed&&_this.all(Tonyu.classes.user.Fruit).length==0&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=13;return;
          case 13:
            
            //$LASTPOS=2002645;//user.AList:2645
            _this.fiber$add(_thread, {name: "ぎょぎょ課金",desc: "魚がいる状態で課金する",reward: 50,cond: (function anonymous_2723(ctx) {
              
              return _this.all(Tonyu.classes.user.Fish).length&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=14;return;
          case 14:
            Tonyu.globals.$ggk=_thread.retVal;
            
            //$LASTPOS=2002810;//user.AList:2810
            _this.fiber$add(_thread, {name: "なかよく分けよう",desc: "魚とねこが同数いる\n状態で課金する",reward: 50,cond: (function anonymous_2892(ctx) {
              var f;
              var c;
              
              //$LASTPOS=2002909;//user.AList:2909
              f = _this.all(Tonyu.classes.user.Fish).length;
              c = _this.all(Tonyu.classes.user.Cat).length;
              
              //$LASTPOS=2002959;//user.AList:2959
              ctx.a.reward=f*10;
              return f&&f==c&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=15;return;
          case 15:
            
            //$LASTPOS=2003049;//user.AList:3049
            _this.fiber$add(_thread, {name: "奪い合い",desc: "魚1匹とねこ5匹以上\nいる状態で課金する",reward: 200,cond: (function anonymous_3131(ctx) {
              var f;
              var c;
              
              //$LASTPOS=2003148;//user.AList:3148
              f = _this.all(Tonyu.classes.user.Fish).length;
              c = _this.all(Tonyu.classes.user.Cat).length;
              
              //$LASTPOS=2003198;//user.AList:3198
              ctx.a.reward=c*10;
              return f==1&&c>=5&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=16;return;
          case 16:
            
            //$LASTPOS=2003291;//user.AList:3291
            _this.fiber$add(_thread, {name: "ねこどこ？",desc: "「ねこ課金」達成後\nねこがいない状態で課金する",reward: 60,cond: (function anonymous_3376(ctx) {
              
              return Tonyu.globals.$nkk.completed&&_this.all(Tonyu.classes.user.Cat).length==0&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=17;return;
          case 17:
            
            //$LASTPOS=2003483;//user.AList:3483
            _this.fiber$add(_thread, {name: "いぬがどこにも..",desc: "「いぬ課金」達成後\nいぬがいない状態で課金する",reward: 60,cond: (function anonymous_3572(ctx) {
              
              return Tonyu.globals.$ink.completed&&_this.all(Tonyu.classes.user.Dog).length==0&&_this.lastTypeIs(ctx,"charge");
            })});
            __pc=18;return;
          case 18:
            
            //$LASTPOS=2003679;//user.AList:3679
            _this.fiber$add(_thread, {name: "連続課金",desc: "同額を3回連続課金する",reward: 30,cond: (function anonymous_3750(ctx) {
              var s;
              var i;
              
              //$LASTPOS=2003767;//user.AList:3767
              s = ctx.logs.slice(- 3);
              
              //$LASTPOS=2003828;//user.AList:3828
              if (s.length<3) {
                return false;
              }
              //$LASTPOS=2003866;//user.AList:3866
              //$LASTPOS=2003871;//user.AList:3871
              i = 0;
              for (; i<3 ; i++) {
                Tonyu.checkLoop();
                {
                  //$LASTPOS=2003902;//user.AList:3902
                  if (s[i].type!=="charge") {
                    return false;
                  }
                  //$LASTPOS=2003954;//user.AList:3954
                  if (s[i].fare!==s[0].fare) {
                    return false;
                  }
                }
              }
              //$LASTPOS=2004013;//user.AList:4013
              ctx.a.reward=s[0].fare*5;
              return true;
            })});
            __pc=19;return;
          case 19:
            
            //$LASTPOS=2004070;//user.AList:4070
            _this.fiber$add(_thread, {name: "階段課金",desc: "課金額を10円から50円まで\n上げながら課金する",reward: 200,cond: (function anonymous_4156(ctx) {
              var s;
              var i;
              
              //$LASTPOS=2004173;//user.AList:4173
              s = ctx.logs.slice(- 5);
              
              //$LASTPOS=2004234;//user.AList:4234
              if (s.length<5) {
                return false;
              }
              //$LASTPOS=2004272;//user.AList:4272
              //$LASTPOS=2004277;//user.AList:4277
              i = 0;
              for (; i<5 ; i++) {
                Tonyu.checkLoop();
                {
                  //$LASTPOS=2004308;//user.AList:4308
                  if (s[i].type!=="charge") {
                    return false;
                  }
                  //$LASTPOS=2004360;//user.AList:4360
                  if (s[i].fare!==10+i*10) {
                    return false;
                  }
                }
              }
              return true;
            })});
            __pc=20;return;
          case 20:
            
            //$LASTPOS=2004439;//user.AList:4439
            _this.fiber$add(_thread, {name: "階段課金(下り)",desc: "課金額を50円から10円まで\n下げながら課金する",reward: 200,cond: (function anonymous_4529(ctx) {
              var s;
              var i;
              
              //$LASTPOS=2004546;//user.AList:4546
              s = ctx.logs.slice(- 5);
              
              //$LASTPOS=2004607;//user.AList:4607
              if (s.length<5) {
                return false;
              }
              //$LASTPOS=2004645;//user.AList:4645
              //$LASTPOS=2004650;//user.AList:4650
              i = 0;
              for (; i<5 ; i++) {
                Tonyu.checkLoop();
                {
                  //$LASTPOS=2004681;//user.AList:4681
                  if (s[i].type!=="charge") {
                    return false;
                  }
                  //$LASTPOS=2004733;//user.AList:4733
                  if (s[i].fare!==50-i*10) {
                    return false;
                  }
                }
              }
              return true;
            })});
            __pc=21;return;
          case 21:
            
            //$LASTPOS=2004812;//user.AList:4812
            _this.fiber$add(_thread, {name: "しんでしまうとは",desc: "課金によって所持金を半額にする",reward: 80,cond: (function anonymous_4891(ctx) {
              var s;
              
              //$LASTPOS=2004908;//user.AList:4908
              s = _this.lastLog(ctx);
              
              return s&&s.type==="charge"&&s.fare===s.after;
            })});
            __pc=22;return;
          case 22:
            
            //$LASTPOS=2004996;//user.AList:4996
            _this.fiber$add(_thread, {name: "ワン瞬間",desc: "ねこがダメージを受けた瞬間に\n課金する．",reward: 300,cond: (function anonymous_5078(ctx) {
              var l;
              var d;
              
              //$LASTPOS=2005095;//user.AList:5095
              l = _this.logsByType(ctx,"charge");
              
              //$LASTPOS=2005135;//user.AList:5135
              d = _this.logsByType(ctx,"damage");
              
              //$LASTPOS=2005175;//user.AList:5175
              if (l.length*d.length==0) {
                return false;
              }
              //$LASTPOS=2005259;//user.AList:5259
              l=l[l.length-1];
              //$LASTPOS=2005284;//user.AList:5284
              d=d[d.length-1];
              return (d.chara instanceof Tonyu.classes.user.Cat)&&_this.abs(l.time-d.time)<=10;
            })});
            __pc=23;return;
          case 23:
            
            //$LASTPOS=2005406;//user.AList:5406
            _this.fiber$add(_thread, {name: "ニャン瞬間",desc: "いぬがダメージを受けた瞬間に\n課金する．",reward: 500,cond: (function anonymous_5489(ctx) {
              var l;
              var d;
              
              //$LASTPOS=2005506;//user.AList:5506
              l = _this.logsByType(ctx,"charge");
              
              //$LASTPOS=2005546;//user.AList:5546
              d = _this.logsByType(ctx,"damage");
              
              //$LASTPOS=2005586;//user.AList:5586
              if (l.length*d.length==0) {
                return false;
              }
              //$LASTPOS=2005670;//user.AList:5670
              l=l[l.length-1];
              //$LASTPOS=2005695;//user.AList:5695
              d=d[d.length-1];
              return (d.chara instanceof Tonyu.classes.user.Dog)&&_this.abs(l.time-d.time)<=10;
            })});
            __pc=24;return;
          case 24:
            
            //$LASTPOS=2005817;//user.AList:5817
            _this.fiber$add(_thread, {name: "課金ラッシュ",desc: "1秒間に5回課金する",reward: 50,cond: (function anonymous_5889(ctx) {
              var l;
              
              //$LASTPOS=2005906;//user.AList:5906
              l = _this.logsByType(ctx,"charge");
              
              //$LASTPOS=2005946;//user.AList:5946
              if (l.length<5) {
                return false;
              }
              return l[l.length-1].time-l[l.length-5].time<70;
            })});
            __pc=25;return;
          case 25:
            
            //$LASTPOS=2006045;//user.AList:6045
            _this.fiber$add(_thread, {name: "課金ラッシュハイパー",desc: "1秒間に50円を5回課金する",reward: 550,cond: (function anonymous_6126(ctx) {
              var l;
              var i;
              
              //$LASTPOS=2006143;//user.AList:6143
              l = _this.logsByType(ctx,"charge");
              
              //$LASTPOS=2006183;//user.AList:6183
              if (l.length<5) {
                return false;
              }
              //$LASTPOS=2006221;//user.AList:6221
              //$LASTPOS=2006226;//user.AList:6226
              i = l.length-5;
              for (; i<l.length ; i++) {
                Tonyu.checkLoop();
                {
                  //$LASTPOS=2006273;//user.AList:6273
                  if (l[i].fare!==50) {
                    return false;
                  }
                }
              }
              return l[l.length-1].time-l[l.length-5].time<70;
            })});
            __pc=26;return;
          case 26:
            
            //$LASTPOS=2006386;//user.AList:6386
            _this.fiber$add(_thread, {name: "私財をなげうってでも",desc: "5秒間に1000円課金する",reward: 2000,cond: (function anonymous_6467(ctx) {
              var l;
              var lastTime;
              var a;
              var i;
              
              //$LASTPOS=2006484;//user.AList:6484
              l = _this.logsByType(ctx,"charge");
              
              //$LASTPOS=2006524;//user.AList:6524
              lastTime = null;
              a = 0;
              
              //$LASTPOS=2006556;//user.AList:6556
              //$LASTPOS=2006561;//user.AList:6561
              i = l.length-1;
              for (; i>=0 ; i--) {
                Tonyu.checkLoop();
                {
                  //$LASTPOS=2006602;//user.AList:6602
                  a+=l[i].fare;
                  //$LASTPOS=2006628;//user.AList:6628
                  if (lastTime==null) {
                    //$LASTPOS=2006666;//user.AList:6666
                    lastTime=l[i].time;
                    
                  } else {
                    //$LASTPOS=2006705;//user.AList:6705
                    if (lastTime-l[i].time>5*60) {
                      break;
                      
                    }
                  }
                }
              }
              return a>=1000;
            })});
            __pc=27;return;
          case 27:
            
            //$LASTPOS=2006784;//user.AList:6784
            _this.fiber$add(_thread, {name: "受給ラッシュ",desc: "1秒間に3個の報酬を受け取る",reward: 50,cond: (function anonymous_6860(ctx) {
              var l;
              
              //$LASTPOS=2006877;//user.AList:6877
              l = _this.logsByType(ctx,"receive");
              
              //$LASTPOS=2006918;//user.AList:6918
              if (l.length<3) {
                return false;
              }
              return l[l.length-1].time-l[l.length-3].time<60;
            })});
            __pc=28;return;
          case 28:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    add :function _trc_AList_add(a) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2007032;//user.AList:7032
      _this.list.push(a);
      return a;
    },
    fiber$add :function _trc_AList_f_add(_thread,a) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2007032;//user.AList:7032
      _this.list.push(a);
      _thread.retVal=a;return;
      
      
      _thread.retVal=_this;return;
    },
    lastLog :function _trc_AList_lastLog(ctx,idx) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2007086;//user.AList:7086
      idx=idx||- 1;
      return ctx.logs[ctx.logs.length+idx];
    },
    fiber$lastLog :function _trc_AList_f_lastLog(_thread,ctx,idx) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2007086;//user.AList:7086
      idx=idx||- 1;
      _thread.retVal=ctx.logs[ctx.logs.length+idx];return;
      
      
      _thread.retVal=_this;return;
    },
    addLog :function _trc_AList_addLog(ent) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2007162;//user.AList:7162
      ent.time=Tonyu.globals.$frames;
      //$LASTPOS=2007184;//user.AList:7184
      _this.logs.push(ent);
      //$LASTPOS=2007204;//user.AList:7204
      _this.check();
    },
    fiber$addLog :function _trc_AList_f_addLog(_thread,ent) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2007162;//user.AList:7162
      ent.time=Tonyu.globals.$frames;
      //$LASTPOS=2007184;//user.AList:7184
      _this.logs.push(ent);
      
      _thread.enter(function _trc_AList_ent_addLog(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2007204;//user.AList:7204
            _this.fiber$check(_thread);
            __pc=1;return;
          case 1:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    check :function _trc_AList_check() {
      "use strict";
      var _this=this;
      var i;
      var a;
      var _it_69;
      
      //$LASTPOS=2007230;//user.AList:7230
      _it_69=Tonyu.iterator(_this.list,2);
      while(_it_69.next()) {
        i=_it_69[0];
        a=_it_69[1];
        
        //$LASTPOS=2007262;//user.AList:7262
        if (a.cond&&! a.completed&&a.cond({logs: _this.logs,a: a})) {
          //$LASTPOS=2007322;//user.AList:7322
          _this.complete(a);
          
        }
        
      }
    },
    fiber$check :function _trc_AList_f_check(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var i;
      var a;
      var _it_69;
      
      
      _thread.enter(function _trc_AList_ent_check(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2007230;//user.AList:7230
            _it_69=Tonyu.iterator(_this.list,2);
          case 1:
            if (!(_it_69.next())) { __pc=4     ; break; }
            i=_it_69[0];
            a=_it_69[1];
            
            //$LASTPOS=2007262;//user.AList:7262
            if (!(a.cond&&! a.completed&&a.cond({logs: _this.logs,a: a}))) { __pc=3     ; break; }
            //$LASTPOS=2007322;//user.AList:7322
            _this.fiber$complete(_thread, a);
            __pc=2;return;
          case 2:
            
          case 3     :
            
            __pc=1;break;
          case 4     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    complete :function _trc_AList_complete(a) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2007372;//user.AList:7372
      a.completed=true;
      //$LASTPOS=2007394;//user.AList:7394
      new Tonyu.classes.user.Achievement({a: a});
    },
    fiber$complete :function _trc_AList_f_complete(_thread,a) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2007372;//user.AList:7372
      a.completed=true;
      //$LASTPOS=2007394;//user.AList:7394
      new Tonyu.classes.user.Achievement({a: a});
      
      _thread.retVal=_this;return;
    },
    lastTypeIs :function _trc_AList_lastTypeIs(ctx,type) {
      "use strict";
      var _this=this;
      var l;
      
      //$LASTPOS=2007444;//user.AList:7444
      l = _this.lastLog(ctx);
      
      return l&&l.type==type&&l;
    },
    fiber$lastTypeIs :function _trc_AList_f_lastTypeIs(_thread,ctx,type) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var l;
      
      
      _thread.enter(function _trc_AList_ent_lastTypeIs(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2007444;//user.AList:7444
            _this.fiber$lastLog(_thread, ctx);
            __pc=1;return;
          case 1:
            l=_thread.retVal;
            
            _thread.exit(l&&l.type==type&&l);return;
            _thread.exit(_this);return;
          }
        }
      });
    },
    logsByType :function _trc_AList_logsByType(ctx,type) {
      "use strict";
      var _this=this;
      
      return ctx.logs.filter((function anonymous_7552(l) {
        
        return l.type===type;
      }));
    },
    fiber$logsByType :function _trc_AList_f_logsByType(_thread,ctx,type) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=ctx.logs.filter((function anonymous_7552(l) {
        
        return l.type===type;
      }));return;
      
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"add":{"nowait":false},"lastLog":{"nowait":false},"addLog":{"nowait":false},"check":{"nowait":false},"complete":{"nowait":false},"lastTypeIs":{"nowait":false},"logsByType":{"nowait":false}},"fields":{"logs":{},"list":{}}}
});
Tonyu.klass.define({
  fullName: 'user.BackPanel',
  shortName: 'BackPanel',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Panel,
  includes: [],
  methods: {
    main :function _trc_BackPanel_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=3000015;//user.BackPanel:15
      _this.zOrder=100;
      //$LASTPOS=3000027;//user.BackPanel:27
      _this.fillStyle="black";
      //$LASTPOS=3000046;//user.BackPanel:46
      _this.fillRect(0,0,Tonyu.globals.$col*32,Tonyu.globals.$row*32);
      //$LASTPOS=3000077;//user.BackPanel:77
      _this.fillStyle="green";
      //$LASTPOS=3000096;//user.BackPanel:96
      //$LASTPOS=3000100;//user.BackPanel:100
      _this.i=0;for (; _this.i<Tonyu.globals.$row ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=3000122;//user.BackPanel:122
          //$LASTPOS=3000126;//user.BackPanel:126
          _this.j=0;for (; _this.j<Tonyu.globals.$col ; _this.j++) {
            Tonyu.checkLoop();
            {
              //$LASTPOS=3000152;//user.BackPanel:152
              _this.fillRect(_this.j*32,_this.i*32,31,31);
            }
          }
        }
      }
      //$LASTPOS=3000197;//user.BackPanel:197
      _this.fillStyle="gray";
      //$LASTPOS=3000215;//user.BackPanel:215
      _this.fillRect(0,Tonyu.globals.$row*32,Tonyu.globals.$col*32,400);
      //$LASTPOS=3000248;//user.BackPanel:248
      _this.fillStyle="#999";
      //$LASTPOS=3000266;//user.BackPanel:266
      _this.fillRect(0,Tonyu.globals.$row*32,Tonyu.globals.$col*32,6);
      //$LASTPOS=3000297;//user.BackPanel:297
      _this.fillStyle="#ccc";
      //$LASTPOS=3000315;//user.BackPanel:315
      _this.fillRect(0,Tonyu.globals.$row*32,Tonyu.globals.$col*32,4);
      //$LASTPOS=3000346;//user.BackPanel:346
      _this.fillStyle="#eee";
      //$LASTPOS=3000364;//user.BackPanel:364
      _this.fillRect(0,Tonyu.globals.$row*32,Tonyu.globals.$col*32,2);
    },
    fiber$main :function _trc_BackPanel_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=3000015;//user.BackPanel:15
      _this.zOrder=100;
      //$LASTPOS=3000027;//user.BackPanel:27
      _this.fillStyle="black";
      //$LASTPOS=3000046;//user.BackPanel:46
      _this.fillRect(0,0,Tonyu.globals.$col*32,Tonyu.globals.$row*32);
      //$LASTPOS=3000077;//user.BackPanel:77
      _this.fillStyle="green";
      //$LASTPOS=3000096;//user.BackPanel:96
      //$LASTPOS=3000100;//user.BackPanel:100
      _this.i=0;for (; _this.i<Tonyu.globals.$row ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=3000122;//user.BackPanel:122
          //$LASTPOS=3000126;//user.BackPanel:126
          _this.j=0;for (; _this.j<Tonyu.globals.$col ; _this.j++) {
            Tonyu.checkLoop();
            {
              //$LASTPOS=3000152;//user.BackPanel:152
              _this.fillRect(_this.j*32,_this.i*32,31,31);
            }
          }
        }
      }
      //$LASTPOS=3000197;//user.BackPanel:197
      _this.fillStyle="gray";
      //$LASTPOS=3000215;//user.BackPanel:215
      _this.fillRect(0,Tonyu.globals.$row*32,Tonyu.globals.$col*32,400);
      //$LASTPOS=3000248;//user.BackPanel:248
      _this.fillStyle="#999";
      //$LASTPOS=3000266;//user.BackPanel:266
      _this.fillRect(0,Tonyu.globals.$row*32,Tonyu.globals.$col*32,6);
      //$LASTPOS=3000297;//user.BackPanel:297
      _this.fillStyle="#ccc";
      //$LASTPOS=3000315;//user.BackPanel:315
      _this.fillRect(0,Tonyu.globals.$row*32,Tonyu.globals.$col*32,4);
      //$LASTPOS=3000346;//user.BackPanel:346
      _this.fillStyle="#eee";
      //$LASTPOS=3000364;//user.BackPanel:364
      _this.fillRect(0,Tonyu.globals.$row*32,Tonyu.globals.$col*32,2);
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"i":{},"j":{}}}
});
Tonyu.klass.define({
  fullName: 'user.BEffect',
  shortName: 'BEffect',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_BEffect_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=4000001;//user.BEffect:1
      //$LASTPOS=4000005;//user.BEffect:5
      _this.i = 0;
      for (; _this.i<10 ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=4000029;//user.BEffect:29
          _this.scaleX+=0.5;
          //$LASTPOS=4000046;//user.BEffect:46
          _this.alpha-=25;
          //$LASTPOS=4000061;//user.BEffect:61
          _this.update();
        }
      }
      //$LASTPOS=4000073;//user.BEffect:73
      _this.die();
    },
    fiber$main :function _trc_BEffect_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_BEffect_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=4000001;//user.BEffect:1
            //$LASTPOS=4000005;//user.BEffect:5
            _this.i = 0;
            
          case 1:
            if (!(_this.i<10)) { __pc=4     ; break; }
            //$LASTPOS=4000029;//user.BEffect:29
            _this.scaleX+=0.5;
            //$LASTPOS=4000046;//user.BEffect:46
            _this.alpha-=25;
            //$LASTPOS=4000061;//user.BEffect:61
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
          case 3     :
            _this.i++;
            __pc=1;break;
          case 4     :
            
            //$LASTPOS=4000073;//user.BEffect:73
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Bullet',
  shortName: 'Bullet',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Bullet_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=5000000;//user.Bullet:0
      "field strict";
      //$LASTPOS=5000017;//user.Bullet:17
      _this.spd = 0.5;
      
      //$LASTPOS=5000035;//user.Bullet:35
      _this.t = _this.all(_this.pa instanceof Tonyu.classes.user.Dog?Tonyu.classes.user.Cat:Tonyu.classes.user.Dog).random();
      
      //$LASTPOS=5000075;//user.Bullet:75
      _this.p=Tonyu.globals.$pat_WN+(_this.pa instanceof Tonyu.classes.user.Dog?0:1);
      //$LASTPOS=5000103;//user.Bullet:103
      if (! _this.t) {
        //$LASTPOS=5000118;//user.Bullet:118
        _this.die();
        //$LASTPOS=5000130;//user.Bullet:130
        _this.update();
        
      }
      //$LASTPOS=5000144;//user.Bullet:144
      Tonyu.globals.$sound.playSE(_this.pa.voice,{duration: 0.8,vol: 128-(_this.pa instanceof Tonyu.classes.user.Cat?64:0)});
      //$LASTPOS=5000218;//user.Bullet:218
      _this.position.set(_this.pa.position);
      //$LASTPOS=5000246;//user.Bullet:246
      _this.th = 0;
      
      //$LASTPOS=5000257;//user.Bullet:257
      _this.dir = _this.t.position.sub(_this.position).normalizeX(10*_this.spd);
      
      //$LASTPOS=5000311;//user.Bullet:311
      while (_this.x>0&&_this.x<Tonyu.globals.$col*32&&_this.y>0&&_this.y<Tonyu.globals.$row*32) {
        Tonyu.checkLoop();
        //$LASTPOS=5000362;//user.Bullet:362
        _this.scaleX=(1.2)+_this.sin(_this.th)*0.2;
        //$LASTPOS=5000393;//user.Bullet:393
        _this.th+=30;
        //$LASTPOS=5000406;//user.Bullet:406
        _this.position.addX(_this.dir);
        //$LASTPOS=5000431;//user.Bullet:431
        if (_this.crashTo(_this.t)) {
          //$LASTPOS=5000478;//user.Bullet:478
          _this.die();
          //$LASTPOS=5000494;//user.Bullet:494
          new Tonyu.classes.user.BEffect({x: _this.x,y: _this.y,p: _this.p});
          //$LASTPOS=5000523;//user.Bullet:523
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_nc78798,{vol: 64});
          //$LASTPOS=5000599;//user.Bullet:599
          _this.t.damage(_this);
          
        }
        //$LASTPOS=5000660;//user.Bullet:660
        _this.update();
        
      }
      //$LASTPOS=5000674;//user.Bullet:674
      _this.die();
    },
    fiber$main :function _trc_Bullet_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=5000000;//user.Bullet:0
      "field strict";
      //$LASTPOS=5000017;//user.Bullet:17
      _this.spd = 0.5;
      
      //$LASTPOS=5000035;//user.Bullet:35
      _this.t = _this.all(_this.pa instanceof Tonyu.classes.user.Dog?Tonyu.classes.user.Cat:Tonyu.classes.user.Dog).random();
      
      //$LASTPOS=5000075;//user.Bullet:75
      _this.p=Tonyu.globals.$pat_WN+(_this.pa instanceof Tonyu.classes.user.Dog?0:1);
      
      _thread.enter(function _trc_Bullet_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=5000103;//user.Bullet:103
            if (!(! _this.t)) { __pc=2     ; break; }
            //$LASTPOS=5000118;//user.Bullet:118
            _this.die();
            //$LASTPOS=5000130;//user.Bullet:130
            _this.fiber$update(_thread);
            __pc=1;return;
          case 1:
            
          case 2     :
            
            //$LASTPOS=5000144;//user.Bullet:144
            Tonyu.globals.$sound.playSE(_this.pa.voice,{duration: 0.8,vol: 128-(_this.pa instanceof Tonyu.classes.user.Cat?64:0)});
            //$LASTPOS=5000218;//user.Bullet:218
            _this.position.set(_this.pa.position);
            //$LASTPOS=5000246;//user.Bullet:246
            _this.th = 0;
            
            //$LASTPOS=5000257;//user.Bullet:257
            _this.dir = _this.t.position.sub(_this.position).normalizeX(10*_this.spd);
            
            //$LASTPOS=5000311;//user.Bullet:311
          case 3:
            if (!(_this.x>0&&_this.x<Tonyu.globals.$col*32&&_this.y>0&&_this.y<Tonyu.globals.$row*32)) { __pc=5     ; break; }
            //$LASTPOS=5000362;//user.Bullet:362
            _this.scaleX=(1.2)+_this.sin(_this.th)*0.2;
            //$LASTPOS=5000393;//user.Bullet:393
            _this.th+=30;
            //$LASTPOS=5000406;//user.Bullet:406
            _this.position.addX(_this.dir);
            //$LASTPOS=5000431;//user.Bullet:431
            if (_this.crashTo(_this.t)) {
              //$LASTPOS=5000478;//user.Bullet:478
              _this.die();
              //$LASTPOS=5000494;//user.Bullet:494
              new Tonyu.classes.user.BEffect({x: _this.x,y: _this.y,p: _this.p});
              //$LASTPOS=5000523;//user.Bullet:523
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_nc78798,{vol: 64});
              //$LASTPOS=5000599;//user.Bullet:599
              _this.t.damage(_this);
              
            }
            //$LASTPOS=5000660;//user.Bullet:660
            _this.fiber$update(_thread);
            __pc=4;return;
          case 4:
            
            __pc=3;break;
          case 5     :
            
            //$LASTPOS=5000674;//user.Bullet:674
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"pa":{},"spd":{},"t":{},"th":{},"dir":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Buy',
  shortName: 'Buy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Buy_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6000000;//user.Buy:0
      Tonyu.globals.$Screen.resize(32*12,600);
      //$LASTPOS=6000028;//user.Buy:28
      Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_damage);
      //$LASTPOS=6000056;//user.Buy:56
      _this.lb=new Tonyu.classes.kernel.Label({text: "さあ，\n集めたお金で\n野菜を買って\n"+Tonyu.globals.$theme+"を作ろう",y: 100,x: 6*32,size: 50});
      //$LASTPOS=6000141;//user.Buy:141
      _this.cnt=0;
      //$LASTPOS=6000148;//user.Buy:148
      _this.sname=[];
      //$LASTPOS=6000158;//user.Buy:158
      _this.tg=new Tonyu.classes.kernel.Actor({x: 6*32,y: 150,scaleX: 1,zOrder: 10,alpha: 128,p: Tonyu.globals.$pat_tomato+_this.cnt});
      //$LASTPOS=6000233;//user.Buy:233
      new Tonyu.classes.kernel.Label({template: "所持金 $money 円",x: 6*32,y: 450,size: 30});
      //$LASTPOS=6000293;//user.Buy:293
      _this.fare=100;
      //$LASTPOS=6000303;//user.Buy:303
      _this.count=0;
      //$LASTPOS=6000312;//user.Buy:312
      _this.b=new Tonyu.classes.kernel.Button({text: "買う("+_this.fare+"円)",onClick: Tonyu.bindFunc(_this,_this.buy),top: 400});
      //$LASTPOS=6000369;//user.Buy:369
      while (Tonyu.globals.$money>0) {
        Tonyu.checkLoop();
        //$LASTPOS=6000385;//user.Buy:385
        _this.update();
      }
      //$LASTPOS=6000395;//user.Buy:395
      Tonyu.globals.$mesg="合計"+Tonyu.globals.$score+"円を課金して"+_this.sname.join("")+"サラダを作った";
      //$LASTPOS=6000448;//user.Buy:448
      _this.b.die();
      //$LASTPOS=6000457;//user.Buy:457
      _this.lb.size=30-_this.sname.length;
      //$LASTPOS=6000482;//user.Buy:482
      _this.lb.text="合計\n"+Tonyu.globals.$score+"円を課金して\n"+_this.sname.join("\n")+"サラダを作った";
      //$LASTPOS=6000752;//user.Buy:752
      new Tonyu.classes.kernel.Button({text: "Title",top: 500,onClick: Tonyu.bindFunc(_this,_this.goTitle)});
      //$LASTPOS=6000819;//user.Buy:819
      new Tonyu.classes.kernel.Button({text: "Tweet",top: 550,onClick: Tonyu.bindFunc(_this,_this.tweet)});
    },
    fiber$main :function _trc_Buy_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6000000;//user.Buy:0
      Tonyu.globals.$Screen.resize(32*12,600);
      //$LASTPOS=6000028;//user.Buy:28
      Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_damage);
      //$LASTPOS=6000056;//user.Buy:56
      _this.lb=new Tonyu.classes.kernel.Label({text: "さあ，\n集めたお金で\n野菜を買って\n"+Tonyu.globals.$theme+"を作ろう",y: 100,x: 6*32,size: 50});
      //$LASTPOS=6000141;//user.Buy:141
      _this.cnt=0;
      //$LASTPOS=6000148;//user.Buy:148
      _this.sname=[];
      //$LASTPOS=6000158;//user.Buy:158
      _this.tg=new Tonyu.classes.kernel.Actor({x: 6*32,y: 150,scaleX: 1,zOrder: 10,alpha: 128,p: Tonyu.globals.$pat_tomato+_this.cnt});
      //$LASTPOS=6000233;//user.Buy:233
      new Tonyu.classes.kernel.Label({template: "所持金 $money 円",x: 6*32,y: 450,size: 30});
      //$LASTPOS=6000293;//user.Buy:293
      _this.fare=100;
      //$LASTPOS=6000303;//user.Buy:303
      _this.count=0;
      //$LASTPOS=6000312;//user.Buy:312
      _this.b=new Tonyu.classes.kernel.Button({text: "買う("+_this.fare+"円)",onClick: Tonyu.bindFunc(_this,_this.buy),top: 400});
      
      _thread.enter(function _trc_Buy_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=6000369;//user.Buy:369
          case 1:
            if (!(Tonyu.globals.$money>0)) { __pc=3     ; break; }
            //$LASTPOS=6000385;//user.Buy:385
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            //$LASTPOS=6000395;//user.Buy:395
            Tonyu.globals.$mesg="合計"+Tonyu.globals.$score+"円を課金して"+_this.sname.join("")+"サラダを作った";
            //$LASTPOS=6000448;//user.Buy:448
            _this.b.die();
            //$LASTPOS=6000457;//user.Buy:457
            _this.lb.size=30-_this.sname.length;
            //$LASTPOS=6000482;//user.Buy:482
            _this.lb.text="合計\n"+Tonyu.globals.$score+"円を課金して\n"+_this.sname.join("\n")+"サラダを作った";
            //$LASTPOS=6000752;//user.Buy:752
            new Tonyu.classes.kernel.Button({text: "Title",top: 500,onClick: Tonyu.bindFunc(_this,_this.goTitle)});
            //$LASTPOS=6000819;//user.Buy:819
            new Tonyu.classes.kernel.Button({text: "Tweet",top: 550,onClick: Tonyu.bindFunc(_this,_this.tweet)});
            _thread.exit(_this);return;
          }
        }
      });
    },
    buy :function _trc_Buy_buy() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6000557;//user.Buy:557
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      //$LASTPOS=6000586;//user.Buy:586
      Tonyu.globals.$money-=_this.fare;
      //$LASTPOS=6000604;//user.Buy:604
      _this.fare+=50;
      //$LASTPOS=6000618;//user.Buy:618
      _this.b.text="買う("+_this.fare+"円)";
      //$LASTPOS=6000646;//user.Buy:646
      _this.sname.push(Tonyu.globals.$vegs[_this.cnt]);
      //$LASTPOS=6000674;//user.Buy:674
      _this.cnt=_this.clamp(_this.cnt+1,0,Tonyu.globals.$vegs.length-1);
      //$LASTPOS=6000713;//user.Buy:713
      _this.tg.p=Tonyu.globals.$pat_tomato+_this.cnt;
      //$LASTPOS=6000739;//user.Buy:739
      _this.count++;
    },
    fiber$buy :function _trc_Buy_f_buy(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6000557;//user.Buy:557
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      //$LASTPOS=6000586;//user.Buy:586
      Tonyu.globals.$money-=_this.fare;
      //$LASTPOS=6000604;//user.Buy:604
      _this.fare+=50;
      //$LASTPOS=6000618;//user.Buy:618
      _this.b.text="買う("+_this.fare+"円)";
      //$LASTPOS=6000646;//user.Buy:646
      _this.sname.push(Tonyu.globals.$vegs[_this.cnt]);
      //$LASTPOS=6000674;//user.Buy:674
      _this.cnt=_this.clamp(_this.cnt+1,0,Tonyu.globals.$vegs.length-1);
      //$LASTPOS=6000713;//user.Buy:713
      _this.tg.p=Tonyu.globals.$pat_tomato+_this.cnt;
      //$LASTPOS=6000739;//user.Buy:739
      _this.count++;
      
      _thread.retVal=_this;return;
    },
    goTitle :function _trc_Buy_goTitle() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6000900;//user.Buy:900
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
    },
    fiber$goTitle :function _trc_Buy_f_goTitle(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6000900;//user.Buy:900
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
      
      _thread.retVal=_this;return;
    },
    tweet :function _trc_Buy_tweet() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6000956;//user.Buy:956
      Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
    },
    fiber$tweet :function _trc_Buy_f_tweet(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6000956;//user.Buy:956
      Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
      
      _thread.retVal=_this;return;
    },
    fareup :function _trc_Buy_fareup() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6001023;//user.Buy:1023
      Tonyu.globals.$fare=_this.clamp(Tonyu.globals.$fare+10,10,50);
    },
    fiber$fareup :function _trc_Buy_f_fareup(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6001023;//user.Buy:1023
      Tonyu.globals.$fare=_this.clamp(Tonyu.globals.$fare+10,10,50);
      
      _thread.retVal=_this;return;
    },
    faredown :function _trc_Buy_faredown() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6001066;//user.Buy:1066
      Tonyu.globals.$fare=_this.clamp(Tonyu.globals.$fare-10,10,50);
    },
    fiber$faredown :function _trc_Buy_f_faredown(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6001066;//user.Buy:1066
      Tonyu.globals.$fare=_this.clamp(Tonyu.globals.$fare-10,10,50);
      
      _thread.retVal=_this;return;
    },
    charge :function _trc_Buy_charge() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6001112;//user.Buy:1112
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pay);
      //$LASTPOS=6001140;//user.Buy:1140
      Tonyu.globals.$money-=Tonyu.globals.$fare;
      //$LASTPOS=6001162;//user.Buy:1162
      Tonyu.globals.$alist.addLog({type: "charge",fare: Tonyu.globals.$fare,after: Tonyu.globals.$money});
    },
    fiber$charge :function _trc_Buy_f_charge(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6001112;//user.Buy:1112
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pay);
      //$LASTPOS=6001140;//user.Buy:1140
      Tonyu.globals.$money-=Tonyu.globals.$fare;
      //$LASTPOS=6001162;//user.Buy:1162
      Tonyu.globals.$alist.addLog({type: "charge",fare: Tonyu.globals.$fare,after: Tonyu.globals.$money});
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"buy":{"nowait":false},"goTitle":{"nowait":false},"tweet":{"nowait":false},"fareup":{"nowait":false},"faredown":{"nowait":false},"charge":{"nowait":false}},"fields":{"lb":{},"cnt":{},"sname":{},"tg":{},"fare":{},"count":{},"b":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Chara',
  shortName: 'Chara',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Chara_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=7000032;//user.Chara:32
      _this.init();
      //$LASTPOS=7000040;//user.Chara:40
      _this.move();
    },
    fiber$main :function _trc_Chara_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Chara_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=7000032;//user.Chara:32
            _this.fiber$init(_thread);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=7000040;//user.Chara:40
            _this.fiber$move(_thread);
            __pc=2;return;
          case 2:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    init :function _trc_Chara_init() {
      "use strict";
      var _this=this;
      var b1;
      var b2;
      var b3;
      var b4;
      
      //$LASTPOS=7000062;//user.Chara:62
      _this.bp=_this.p;
      //$LASTPOS=7000072;//user.Chara:72
      _this.eaten=0;
      //$LASTPOS=7000085;//user.Chara:85
      b1 = Tonyu.globals.$col-1;
      b2 = b1+Tonyu.globals.$row-1;
      b3 = b2+Tonyu.globals.$col-1;
      b4 = b3+Tonyu.globals.$row-1;
      
      //$LASTPOS=7000143;//user.Chara:143
      _this.l=_this.rnd(b4);
      //$LASTPOS=7000158;//user.Chara:158
      if (_this.l<b1) {
        //$LASTPOS=7000178;//user.Chara:178
        _this.gx=_this.l;
        //$LASTPOS=7000183;//user.Chara:183
        _this.gy=0;
        //$LASTPOS=7000188;//user.Chara:188
        _this.vx=0;
        //$LASTPOS=7000193;//user.Chara:193
        _this.vy=1;
        
      } else {
        //$LASTPOS=7000210;//user.Chara:210
        if (_this.l<b2) {
          //$LASTPOS=7000230;//user.Chara:230
          _this.gx=Tonyu.globals.$col-1;
          //$LASTPOS=7000241;//user.Chara:241
          _this.gy=_this.l-b1;
          //$LASTPOS=7000249;//user.Chara:249
          _this.vx=- 1;
          //$LASTPOS=7000255;//user.Chara:255
          _this.vy=0;
          
        } else {
          //$LASTPOS=7000272;//user.Chara:272
          if (_this.l<b3) {
            //$LASTPOS=7000292;//user.Chara:292
            _this.gx=_this.l-b2+1;
            //$LASTPOS=7000302;//user.Chara:302
            _this.gy=Tonyu.globals.$row-1;
            //$LASTPOS=7000312;//user.Chara:312
            _this.vx=0;
            //$LASTPOS=7000317;//user.Chara:317
            _this.vy=- 1;
            
          } else {
            //$LASTPOS=7000345;//user.Chara:345
            _this.gy=_this.l-b3+1;
            //$LASTPOS=7000355;//user.Chara:355
            _this.gx=0;
            //$LASTPOS=7000360;//user.Chara:360
            _this.vx=1;
            //$LASTPOS=7000365;//user.Chara:365
            _this.vy=0;
            
          }
        }
      }
    },
    fiber$init :function _trc_Chara_f_init(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var b1;
      var b2;
      var b3;
      var b4;
      
      //$LASTPOS=7000062;//user.Chara:62
      _this.bp=_this.p;
      //$LASTPOS=7000072;//user.Chara:72
      _this.eaten=0;
      //$LASTPOS=7000085;//user.Chara:85
      b1 = Tonyu.globals.$col-1;
      b2 = b1+Tonyu.globals.$row-1;
      b3 = b2+Tonyu.globals.$col-1;
      b4 = b3+Tonyu.globals.$row-1;
      
      //$LASTPOS=7000143;//user.Chara:143
      _this.l=_this.rnd(b4);
      //$LASTPOS=7000158;//user.Chara:158
      if (_this.l<b1) {
        //$LASTPOS=7000178;//user.Chara:178
        _this.gx=_this.l;
        //$LASTPOS=7000183;//user.Chara:183
        _this.gy=0;
        //$LASTPOS=7000188;//user.Chara:188
        _this.vx=0;
        //$LASTPOS=7000193;//user.Chara:193
        _this.vy=1;
        
      } else {
        //$LASTPOS=7000210;//user.Chara:210
        if (_this.l<b2) {
          //$LASTPOS=7000230;//user.Chara:230
          _this.gx=Tonyu.globals.$col-1;
          //$LASTPOS=7000241;//user.Chara:241
          _this.gy=_this.l-b1;
          //$LASTPOS=7000249;//user.Chara:249
          _this.vx=- 1;
          //$LASTPOS=7000255;//user.Chara:255
          _this.vy=0;
          
        } else {
          //$LASTPOS=7000272;//user.Chara:272
          if (_this.l<b3) {
            //$LASTPOS=7000292;//user.Chara:292
            _this.gx=_this.l-b2+1;
            //$LASTPOS=7000302;//user.Chara:302
            _this.gy=Tonyu.globals.$row-1;
            //$LASTPOS=7000312;//user.Chara:312
            _this.vx=0;
            //$LASTPOS=7000317;//user.Chara:317
            _this.vy=- 1;
            
          } else {
            //$LASTPOS=7000345;//user.Chara:345
            _this.gy=_this.l-b3+1;
            //$LASTPOS=7000355;//user.Chara:355
            _this.gx=0;
            //$LASTPOS=7000360;//user.Chara:360
            _this.vx=1;
            //$LASTPOS=7000365;//user.Chara:365
            _this.vy=0;
            
          }
        }
      }
      
      _thread.retVal=_this;return;
    },
    move :function _trc_Chara_move() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=7000393;//user.Chara:393
      _this.x=_this.gx*32+16;
      //$LASTPOS=7000409;//user.Chara:409
      _this.y=_this.gy*32+16;
      //$LASTPOS=7000425;//user.Chara:425
      while (_this.gx>=0&&_this.gx<Tonyu.globals.$col&&_this.gy>=0&&_this.gy<Tonyu.globals.$row) {
        Tonyu.checkLoop();
        //$LASTPOS=7000479;//user.Chara:479
        _this.updateEx(60);
        //$LASTPOS=7000501;//user.Chara:501
        if (_this.damaged) {
          //$LASTPOS=7000528;//user.Chara:528
          if (_this.rnd(5)==0) {
            //$LASTPOS=7000543;//user.Chara:543
            _this.recover();
          }
          continue;
          
          
        }
        //$LASTPOS=7000594;//user.Chara:594
        _this.gx+=_this.vx;
        //$LASTPOS=7000610;//user.Chara:610
        _this.gy+=_this.vy;
        //$LASTPOS=7000626;//user.Chara:626
        _this.x=_this.gx*32+16;
        //$LASTPOS=7000646;//user.Chara:646
        _this.y=_this.gy*32+16;
        //$LASTPOS=7000666;//user.Chara:666
        _this.fireEvent("move");
        
      }
      //$LASTPOS=7000695;//user.Chara:695
      _this.die();
    },
    fiber$move :function _trc_Chara_f_move(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=7000393;//user.Chara:393
      _this.x=_this.gx*32+16;
      //$LASTPOS=7000409;//user.Chara:409
      _this.y=_this.gy*32+16;
      
      _thread.enter(function _trc_Chara_ent_move(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=7000425;//user.Chara:425
          case 1:
            if (!(_this.gx>=0&&_this.gx<Tonyu.globals.$col&&_this.gy>=0&&_this.gy<Tonyu.globals.$row)) { __pc=6     ; break; }
            //$LASTPOS=7000479;//user.Chara:479
            _this.fiber$updateEx(_thread, 60);
            __pc=2;return;
          case 2:
            
            //$LASTPOS=7000501;//user.Chara:501
            if (!(_this.damaged)) { __pc=5     ; break; }
            //$LASTPOS=7000528;//user.Chara:528
            if (!(_this.rnd(5)==0)) { __pc=4     ; break; }
            //$LASTPOS=7000543;//user.Chara:543
            _this.fiber$recover(_thread);
            __pc=3;return;
          case 3:
            
          case 4     :
            
            __pc=1; break;
            
          case 5     :
            
            //$LASTPOS=7000594;//user.Chara:594
            _this.gx+=_this.vx;
            //$LASTPOS=7000610;//user.Chara:610
            _this.gy+=_this.vy;
            //$LASTPOS=7000626;//user.Chara:626
            _this.x=_this.gx*32+16;
            //$LASTPOS=7000646;//user.Chara:646
            _this.y=_this.gy*32+16;
            //$LASTPOS=7000666;//user.Chara:666
            _this.fireEvent("move");
            __pc=1;break;
          case 6     :
            
            //$LASTPOS=7000695;//user.Chara:695
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    isCat :function _trc_Chara_isCat() {
      "use strict";
      var _this=this;
      
      return _this.p<Tonyu.globals.$pat_neko+30;
    },
    fiber$isCat :function _trc_Chara_f_isCat(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.p<Tonyu.globals.$pat_neko+30;return;
      
      
      _thread.retVal=_this;return;
    },
    isDog :function _trc_Chara_isDog() {
      "use strict";
      var _this=this;
      
      return _this.p>=Tonyu.globals.$pat_neko+50&&_this.p<Tonyu.globals.$pat_neko+60;
    },
    fiber$isDog :function _trc_Chara_f_isDog(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.p>=Tonyu.globals.$pat_neko+50&&_this.p<Tonyu.globals.$pat_neko+60;return;
      
      
      _thread.retVal=_this;return;
    },
    isFish :function _trc_Chara_isFish() {
      "use strict";
      var _this=this;
      
      return _this.p>=Tonyu.globals.$pat_neko+40&&_this.p<Tonyu.globals.$pat_neko+50;
    },
    fiber$isFish :function _trc_Chara_f_isFish(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.p>=Tonyu.globals.$pat_neko+40&&_this.p<Tonyu.globals.$pat_neko+50;return;
      
      
      _thread.retVal=_this;return;
    },
    isFluit :function _trc_Chara_isFluit() {
      "use strict";
      var _this=this;
      
      return _this.p>=Tonyu.globals.$pat_neko+30&&_this.p<Tonyu.globals.$pat_neko+40;
    },
    fiber$isFluit :function _trc_Chara_f_isFluit(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.p>=Tonyu.globals.$pat_neko+30&&_this.p<Tonyu.globals.$pat_neko+40;return;
      
      
      _thread.retVal=_this;return;
    },
    damage :function _trc_Chara_damage(by) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=7000942;//user.Chara:942
      _this.p-=Tonyu.globals.$pat_neko;
      //$LASTPOS=7000960;//user.Chara:960
      _this.p=_this.floor(_this.p/10)*10+8;
      //$LASTPOS=7000984;//user.Chara:984
      _this.p+=Tonyu.globals.$pat_neko;
      //$LASTPOS=7001002;//user.Chara:1002
      _this.damaged=true;
      //$LASTPOS=7001020;//user.Chara:1020
      Tonyu.globals.$alist.addLog({type: "damage",chara: _this,by: by});
    },
    fiber$damage :function _trc_Chara_f_damage(_thread,by) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=7000942;//user.Chara:942
      _this.p-=Tonyu.globals.$pat_neko;
      //$LASTPOS=7000960;//user.Chara:960
      _this.p=_this.floor(_this.p/10)*10+8;
      //$LASTPOS=7000984;//user.Chara:984
      _this.p+=Tonyu.globals.$pat_neko;
      //$LASTPOS=7001002;//user.Chara:1002
      _this.damaged=true;
      //$LASTPOS=7001020;//user.Chara:1020
      Tonyu.globals.$alist.addLog({type: "damage",chara: _this,by: by});
      
      _thread.retVal=_this;return;
    },
    recover :function _trc_Chara_recover() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=7001083;//user.Chara:1083
      _this.damaged=false;
      //$LASTPOS=7001102;//user.Chara:1102
      _this.p-=Tonyu.globals.$pat_neko;
      //$LASTPOS=7001120;//user.Chara:1120
      _this.p=_this.floor(_this.p/10)*10+0;
      //$LASTPOS=7001144;//user.Chara:1144
      _this.p+=Tonyu.globals.$pat_neko;
    },
    fiber$recover :function _trc_Chara_f_recover(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=7001083;//user.Chara:1083
      _this.damaged=false;
      //$LASTPOS=7001102;//user.Chara:1102
      _this.p-=Tonyu.globals.$pat_neko;
      //$LASTPOS=7001120;//user.Chara:1120
      _this.p=_this.floor(_this.p/10)*10+0;
      //$LASTPOS=7001144;//user.Chara:1144
      _this.p+=Tonyu.globals.$pat_neko;
      
      _thread.retVal=_this;return;
    },
    eat :function _trc_Chara_eat(f) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=7001174;//user.Chara:1174
      new Tonyu.classes.user.DEffect({pa: f});
      //$LASTPOS=7001197;//user.Chara:1197
      f.die();
      //$LASTPOS=7001210;//user.Chara:1210
      _this.eaten++;
    },
    fiber$eat :function _trc_Chara_f_eat(_thread,f) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=7001174;//user.Chara:1174
      new Tonyu.classes.user.DEffect({pa: f});
      //$LASTPOS=7001197;//user.Chara:1197
      f.die();
      //$LASTPOS=7001210;//user.Chara:1210
      _this.eaten++;
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"init":{"nowait":false},"move":{"nowait":false},"isCat":{"nowait":false},"isDog":{"nowait":false},"isFish":{"nowait":false},"isFluit":{"nowait":false},"damage":{"nowait":false},"recover":{"nowait":false},"eat":{"nowait":false}},"fields":{"bp":{},"eaten":{},"l":{},"gx":{},"gy":{},"vx":{},"vy":{},"damaged":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Coin',
  shortName: 'Coin',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Coin_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=8000000;//user.Coin:0
      _this.p=Tonyu.globals.$pat_takara;
      //$LASTPOS=8000018;//user.Coin:18
      _this.t=0;
      //$LASTPOS=8000024;//user.Coin:24
      _this.vy=_this.rndFloat(- 2,0);
      //$LASTPOS=8000044;//user.Coin:44
      _this.vx=_this.rndFloat(- 5,5);
      //$LASTPOS=8000064;//user.Coin:64
      _this.scaleY=1;
      //$LASTPOS=8000075;//user.Coin:75
      while (! _this.screenOut()) {
        Tonyu.checkLoop();
        //$LASTPOS=8000102;//user.Coin:102
        _this.scaleX=_this.sin(_this.t)*0.5+0.5;
        //$LASTPOS=8000130;//user.Coin:130
        _this.t+=30;
        //$LASTPOS=8000142;//user.Coin:142
        _this.y+=_this.vy;
        //$LASTPOS=8000154;//user.Coin:154
        _this.x+=_this.vx;
        //$LASTPOS=8000166;//user.Coin:166
        _this.vy++;
        //$LASTPOS=8000177;//user.Coin:177
        _this.update();
        
      }
      //$LASTPOS=8000191;//user.Coin:191
      _this.die();
    },
    fiber$main :function _trc_Coin_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=8000000;//user.Coin:0
      _this.p=Tonyu.globals.$pat_takara;
      //$LASTPOS=8000018;//user.Coin:18
      _this.t=0;
      //$LASTPOS=8000024;//user.Coin:24
      _this.vy=_this.rndFloat(- 2,0);
      //$LASTPOS=8000044;//user.Coin:44
      _this.vx=_this.rndFloat(- 5,5);
      //$LASTPOS=8000064;//user.Coin:64
      _this.scaleY=1;
      
      _thread.enter(function _trc_Coin_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=8000075;//user.Coin:75
          case 1:
            if (!(! _this.screenOut())) { __pc=3     ; break; }
            //$LASTPOS=8000102;//user.Coin:102
            _this.scaleX=_this.sin(_this.t)*0.5+0.5;
            //$LASTPOS=8000130;//user.Coin:130
            _this.t+=30;
            //$LASTPOS=8000142;//user.Coin:142
            _this.y+=_this.vy;
            //$LASTPOS=8000154;//user.Coin:154
            _this.x+=_this.vx;
            //$LASTPOS=8000166;//user.Coin:166
            _this.vy++;
            //$LASTPOS=8000177;//user.Coin:177
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            //$LASTPOS=8000191;//user.Coin:191
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"t":{},"vy":{},"vx":{}}}
});
Tonyu.klass.define({
  fullName: 'user.CountDown',
  shortName: 'CountDown',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_CountDown_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=9000001;//user.CountDown:1
      _this.size=30;
      //$LASTPOS=9000010;//user.CountDown:10
      while (Tonyu.globals.$time>5) {
        Tonyu.checkLoop();
        //$LASTPOS=9000025;//user.CountDown:25
        _this.update();
      }
      //$LASTPOS=9000035;//user.CountDown:35
      _this.x=6*32;
      //$LASTPOS=9000043;//user.CountDown:43
      _this.y=200;
      //$LASTPOS=9000050;//user.CountDown:50
      //$LASTPOS=9000054;//user.CountDown:54
      _this.s = 5;
      for (; _this.s>0 ; _this.s--) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=9000077;//user.CountDown:77
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_warn);
          //$LASTPOS=9000106;//user.CountDown:106
          _this.text="あと"+_this.s+"秒";
          //$LASTPOS=9000127;//user.CountDown:127
          _this.updateEx(60);
        }
      }
    },
    fiber$main :function _trc_CountDown_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=9000001;//user.CountDown:1
      _this.size=30;
      
      _thread.enter(function _trc_CountDown_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=9000010;//user.CountDown:10
          case 1:
            if (!(Tonyu.globals.$time>5)) { __pc=3     ; break; }
            //$LASTPOS=9000025;//user.CountDown:25
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            //$LASTPOS=9000035;//user.CountDown:35
            _this.x=6*32;
            //$LASTPOS=9000043;//user.CountDown:43
            _this.y=200;
            //$LASTPOS=9000050;//user.CountDown:50
            //$LASTPOS=9000054;//user.CountDown:54
            _this.s = 5;
            
          case 4:
            if (!(_this.s>0)) { __pc=7     ; break; }
            //$LASTPOS=9000077;//user.CountDown:77
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_warn);
            //$LASTPOS=9000106;//user.CountDown:106
            _this.text="あと"+_this.s+"秒";
            //$LASTPOS=9000127;//user.CountDown:127
            _this.fiber$updateEx(_thread, 60);
            __pc=5;return;
          case 5:
            
          case 6     :
            _this.s--;
            __pc=4;break;
          case 7     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"s":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Credit',
  shortName: 'Credit',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Credit_main() {
      "use strict";
      var _this=this;
      
    },
    fiber$main :function _trc_Credit_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.DEffect',
  shortName: 'DEffect',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_DEffect_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=10000000;//user.DEffect:0
      _this.x=_this.pa.x;
      //$LASTPOS=10000007;//user.DEffect:7
      _this.y=_this.pa.y;
      //$LASTPOS=10000014;//user.DEffect:14
      _this.p=_this.pa.p;
      //$LASTPOS=10000021;//user.DEffect:21
      _this.scaleX=_this.pa.scaleX;
      //$LASTPOS=10000040;//user.DEffect:40
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_death);
      //$LASTPOS=10000067;//user.DEffect:67
      _this.vy=- 10;
      //$LASTPOS=10000076;//user.DEffect:76
      while (_this.alpha>0) {
        Tonyu.checkLoop();
        //$LASTPOS=10000098;//user.DEffect:98
        _this.rotation+=10;
        //$LASTPOS=10000117;//user.DEffect:117
        _this.alpha-=5;
        //$LASTPOS=10000132;//user.DEffect:132
        _this.scaleX+=0.1;
        //$LASTPOS=10000150;//user.DEffect:150
        _this.y+=_this.vy;
        //$LASTPOS=10000162;//user.DEffect:162
        _this.vy++;
        //$LASTPOS=10000173;//user.DEffect:173
        _this.update();
        
      }
      //$LASTPOS=10000187;//user.DEffect:187
      _this.die();
    },
    fiber$main :function _trc_DEffect_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=10000000;//user.DEffect:0
      _this.x=_this.pa.x;
      //$LASTPOS=10000007;//user.DEffect:7
      _this.y=_this.pa.y;
      //$LASTPOS=10000014;//user.DEffect:14
      _this.p=_this.pa.p;
      //$LASTPOS=10000021;//user.DEffect:21
      _this.scaleX=_this.pa.scaleX;
      //$LASTPOS=10000040;//user.DEffect:40
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_death);
      //$LASTPOS=10000067;//user.DEffect:67
      _this.vy=- 10;
      
      _thread.enter(function _trc_DEffect_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=10000076;//user.DEffect:76
          case 1:
            if (!(_this.alpha>0)) { __pc=3     ; break; }
            //$LASTPOS=10000098;//user.DEffect:98
            _this.rotation+=10;
            //$LASTPOS=10000117;//user.DEffect:117
            _this.alpha-=5;
            //$LASTPOS=10000132;//user.DEffect:132
            _this.scaleX+=0.1;
            //$LASTPOS=10000150;//user.DEffect:150
            _this.y+=_this.vy;
            //$LASTPOS=10000162;//user.DEffect:162
            _this.vy++;
            //$LASTPOS=10000173;//user.DEffect:173
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            //$LASTPOS=10000187;//user.DEffect:187
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"pa":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Dog',
  shortName: 'Dog',
  namespace: 'user',
  superclass: Tonyu.classes.user.Chara,
  includes: [],
  methods: {
    main :function _trc_Dog_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=11000016;//user.Dog:16
      _this.on("move",(function anonymous_27() {
        var f;
        
        //$LASTPOS=11000034;//user.Dog:34
        f = _this.all(Tonyu.classes.user.Fruit).find1((function anonymous_56(f) {
          
          return _this.crashTo(f);
        }));
        
        //$LASTPOS=11000103;//user.Dog:103
        if (Tonyu.globals.$ink.completed&&_this.rnd(10)==0) {
          //$LASTPOS=11000137;//user.Dog:137
          new Tonyu.classes.user.Bullet({pa: _this});
        }
        //$LASTPOS=11000162;//user.Dog:162
        if (f) {
          //$LASTPOS=11000179;//user.Dog:179
          _this.eat(f);
          
        }
      }));
      //$LASTPOS=11000196;//user.Dog:196
      _this.eaten=0;
      //$LASTPOS=11000205;//user.Dog:205
      _this.init();
      //$LASTPOS=11000213;//user.Dog:213
      _this.move();
    },
    fiber$main :function _trc_Dog_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Dog_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=11000016;//user.Dog:16
            _this.on("move",(function anonymous_27() {
              var f;
              
              //$LASTPOS=11000034;//user.Dog:34
              f = _this.all(Tonyu.classes.user.Fruit).find1((function anonymous_56(f) {
                
                return _this.crashTo(f);
              }));
              
              //$LASTPOS=11000103;//user.Dog:103
              if (Tonyu.globals.$ink.completed&&_this.rnd(10)==0) {
                //$LASTPOS=11000137;//user.Dog:137
                new Tonyu.classes.user.Bullet({pa: _this});
              }
              //$LASTPOS=11000162;//user.Dog:162
              if (f) {
                //$LASTPOS=11000179;//user.Dog:179
                _this.eat(f);
                
              }
            }));
            //$LASTPOS=11000196;//user.Dog:196
            _this.eaten=0;
            //$LASTPOS=11000205;//user.Dog:205
            _this.fiber$init(_thread);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=11000213;//user.Dog:213
            _this.fiber$move(_thread);
            __pc=2;return;
          case 2:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __getter__voice :function _trc_Dog___getter__voice() {
      "use strict";
      var _this=this;
      
      return Tonyu.globals.$se_dog1a;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"__getter__voice":{"nowait":true}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Enemy_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=12000020;//user.Enemy:20
      _this.radius=16;
      //$LASTPOS=12000031;//user.Enemy:31
      _this.p=Tonyu.globals.$pat_ahoge26+2;
      //$LASTPOS=12000049;//user.Enemy:49
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=12000067;//user.Enemy:67
        _this.x+=_this.vx;
        //$LASTPOS=12000078;//user.Enemy:78
        _this.y+=_this.vy;
        //$LASTPOS=12000089;//user.Enemy:89
        if (_this.screenOut()) {
          //$LASTPOS=12000106;//user.Enemy:106
          _this.die();
        }
        //$LASTPOS=12000117;//user.Enemy:117
        _this.update();
        
      }
    },
    fiber$main :function _trc_Enemy_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=12000020;//user.Enemy:20
      _this.radius=16;
      //$LASTPOS=12000031;//user.Enemy:31
      _this.p=Tonyu.globals.$pat_ahoge26+2;
      
      _thread.enter(function _trc_Enemy_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=12000049;//user.Enemy:49
          case 1:
            //$LASTPOS=12000067;//user.Enemy:67
            _this.x+=_this.vx;
            //$LASTPOS=12000078;//user.Enemy:78
            _this.y+=_this.vy;
            //$LASTPOS=12000089;//user.Enemy:89
            if (_this.screenOut()) {
              //$LASTPOS=12000106;//user.Enemy:106
              _this.die();
            }
            //$LASTPOS=12000117;//user.Enemy:117
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Field',
  shortName: 'Field',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Field_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=13000000;//user.Field:0
      Tonyu.globals.$field=_this;
      //$LASTPOS=13000013;//user.Field:13
      Tonyu.globals.$row=12;
      //$LASTPOS=13000022;//user.Field:22
      Tonyu.globals.$col=12;
      //$LASTPOS=13000031;//user.Field:31
      _this.debug=false;
      //$LASTPOS=13000044;//user.Field:44
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=13000062;//user.Field:62
        if (_this.debug||Tonyu.globals.$snk.completed) {
          //$LASTPOS=13000100;//user.Field:100
          if (_this.rnd(100+(_this._sf||0)*200)==0) {
            //$LASTPOS=13000144;//user.Field:144
            _this._sf=1;
            //$LASTPOS=13000163;//user.Field:163
            new Tonyu.classes.user.Cat({p: Tonyu.globals.$pat_neko});
            
          }
          
        }
        //$LASTPOS=13000205;//user.Field:205
        if (_this.debug||Tonyu.globals.$nkk.completed) {
          //$LASTPOS=13000243;//user.Field:243
          if (_this.rnd(100+(_this._ff||0)*200)==0) {
            //$LASTPOS=13000287;//user.Field:287
            _this._ff=1;
            //$LASTPOS=13000306;//user.Field:306
            new Tonyu.classes.user.Fish({p: Tonyu.globals.$pat_neko+40});
            
          }
          
        }
        //$LASTPOS=13000352;//user.Field:352
        if (_this.debug||Tonyu.globals.$umn.completed) {
          //$LASTPOS=13000390;//user.Field:390
          if (_this.rnd(100+(_this._uf||0)*200)==0) {
            //$LASTPOS=13000434;//user.Field:434
            _this._uf=1;
            //$LASTPOS=13000453;//user.Field:453
            new Tonyu.classes.user.Dog({p: Tonyu.globals.$pat_neko+50});
            
          }
          
        }
        //$LASTPOS=13000498;//user.Field:498
        if (_this.debug||Tonyu.globals.$ink.completed) {
          //$LASTPOS=13000536;//user.Field:536
          if (_this.rnd(600)==0) {
            //$LASTPOS=13000567;//user.Field:567
            new Tonyu.classes.user.Fruit;
            
          }
          
        }
        //$LASTPOS=13000598;//user.Field:598
        _this.update();
        
      }
    },
    fiber$main :function _trc_Field_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=13000000;//user.Field:0
      Tonyu.globals.$field=_this;
      //$LASTPOS=13000013;//user.Field:13
      Tonyu.globals.$row=12;
      //$LASTPOS=13000022;//user.Field:22
      Tonyu.globals.$col=12;
      //$LASTPOS=13000031;//user.Field:31
      _this.debug=false;
      
      _thread.enter(function _trc_Field_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=13000044;//user.Field:44
          case 1:
            //$LASTPOS=13000062;//user.Field:62
            if (_this.debug||Tonyu.globals.$snk.completed) {
              //$LASTPOS=13000100;//user.Field:100
              if (_this.rnd(100+(_this._sf||0)*200)==0) {
                //$LASTPOS=13000144;//user.Field:144
                _this._sf=1;
                //$LASTPOS=13000163;//user.Field:163
                new Tonyu.classes.user.Cat({p: Tonyu.globals.$pat_neko});
                
              }
              
            }
            //$LASTPOS=13000205;//user.Field:205
            if (_this.debug||Tonyu.globals.$nkk.completed) {
              //$LASTPOS=13000243;//user.Field:243
              if (_this.rnd(100+(_this._ff||0)*200)==0) {
                //$LASTPOS=13000287;//user.Field:287
                _this._ff=1;
                //$LASTPOS=13000306;//user.Field:306
                new Tonyu.classes.user.Fish({p: Tonyu.globals.$pat_neko+40});
                
              }
              
            }
            //$LASTPOS=13000352;//user.Field:352
            if (_this.debug||Tonyu.globals.$umn.completed) {
              //$LASTPOS=13000390;//user.Field:390
              if (_this.rnd(100+(_this._uf||0)*200)==0) {
                //$LASTPOS=13000434;//user.Field:434
                _this._uf=1;
                //$LASTPOS=13000453;//user.Field:453
                new Tonyu.classes.user.Dog({p: Tonyu.globals.$pat_neko+50});
                
              }
              
            }
            //$LASTPOS=13000498;//user.Field:498
            if (_this.debug||Tonyu.globals.$ink.completed) {
              //$LASTPOS=13000536;//user.Field:536
              if (_this.rnd(600)==0) {
                //$LASTPOS=13000567;//user.Field:567
                new Tonyu.classes.user.Fruit;
                
              }
              
            }
            //$LASTPOS=13000598;//user.Field:598
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"debug":{},"_sf":{},"_ff":{},"_uf":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Fish',
  shortName: 'Fish',
  namespace: 'user',
  superclass: Tonyu.classes.user.Chara,
  includes: [],
  methods: {
    main :function _trc_Fish_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=14000016;//user.Fish:16
      _this.on("move",(function anonymous_27() {
        var c;
        
        //$LASTPOS=14000034;//user.Fish:34
        c = _this.all(Tonyu.classes.user.Cat).find1((function anonymous_54(c) {
          
          return _this.crashTo(c);
        }));
        
        //$LASTPOS=14000101;//user.Fish:101
        if (c) {
          //$LASTPOS=14000118;//user.Fish:118
          c.eat(_this);
          
        }
      }));
      //$LASTPOS=14000140;//user.Fish:140
      _this.init();
      //$LASTPOS=14000148;//user.Fish:148
      _this.move();
    },
    fiber$main :function _trc_Fish_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=14000016;//user.Fish:16
      _this.on("move",(function anonymous_27() {
        var c;
        
        //$LASTPOS=14000034;//user.Fish:34
        c = _this.all(Tonyu.classes.user.Cat).find1((function anonymous_54(c) {
          
          return _this.crashTo(c);
        }));
        
        //$LASTPOS=14000101;//user.Fish:101
        if (c) {
          //$LASTPOS=14000118;//user.Fish:118
          c.eat(_this);
          
        }
      }));
      
      _thread.enter(function _trc_Fish_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=14000140;//user.Fish:140
            _this.fiber$init(_thread);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=14000148;//user.Fish:148
            _this.fiber$move(_thread);
            __pc=2;return;
          case 2:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Floor',
  shortName: 'Floor',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Floor_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=15000020;//user.Floor:20
      _this.width=200;
      //$LASTPOS=15000031;//user.Floor:31
      _this.height=10;
      //$LASTPOS=15000042;//user.Floor:42
      _this.fillStyle="white";
      //$LASTPOS=15000061;//user.Floor:61
      _this.isStatic=true;
    },
    fiber$main :function _trc_Floor_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=15000020;//user.Floor:20
      _this.width=200;
      //$LASTPOS=15000031;//user.Floor:31
      _this.height=10;
      //$LASTPOS=15000042;//user.Floor:42
      _this.fillStyle="white";
      //$LASTPOS=15000061;//user.Floor:61
      _this.isStatic=true;
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Fruit',
  shortName: 'Fruit',
  namespace: 'user',
  superclass: Tonyu.classes.user.Chara,
  includes: [],
  methods: {
    main :function _trc_Fruit_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=16000016;//user.Fruit:16
      _this.gx=_this.rnd(Tonyu.globals.$row);
      //$LASTPOS=16000030;//user.Fruit:30
      _this.gy=_this.rnd(Tonyu.globals.$col);
      //$LASTPOS=16000044;//user.Fruit:44
      _this.vx=0;
      //$LASTPOS=16000049;//user.Fruit:49
      _this.vy=0;
      //$LASTPOS=16000055;//user.Fruit:55
      _this.scaleX=32/240;
      //$LASTPOS=16000070;//user.Fruit:70
      _this.p=Tonyu.globals.$pat_tomato+_this.rnd(Tonyu.globals.$vegs.length);
      //$LASTPOS=16000103;//user.Fruit:103
      _this.move();
    },
    fiber$main :function _trc_Fruit_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=16000016;//user.Fruit:16
      _this.gx=_this.rnd(Tonyu.globals.$row);
      //$LASTPOS=16000030;//user.Fruit:30
      _this.gy=_this.rnd(Tonyu.globals.$col);
      //$LASTPOS=16000044;//user.Fruit:44
      _this.vx=0;
      //$LASTPOS=16000049;//user.Fruit:49
      _this.vy=0;
      //$LASTPOS=16000055;//user.Fruit:55
      _this.scaleX=32/240;
      //$LASTPOS=16000070;//user.Fruit:70
      _this.p=Tonyu.globals.$pat_tomato+_this.rnd(Tonyu.globals.$vegs.length);
      
      _thread.enter(function _trc_Fruit_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=16000103;//user.Fruit:103
            _this.fiber$move(_thread);
            __pc=1;return;
          case 1:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Main_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=17000000;//user.Main:0
      Tonyu.globals.$score=0;
      //$LASTPOS=17000010;//user.Main:10
      Tonyu.globals.$money=100;
      //$LASTPOS=17000022;//user.Main:22
      Tonyu.globals.$time=0;
      //$LASTPOS=17000031;//user.Main:31
      Tonyu.globals.$frames=0;
      //$LASTPOS=17000042;//user.Main:42
      Tonyu.globals.$fare=10;
      //$LASTPOS=17000052;//user.Main:52
      Tonyu.globals.$inTitle=false;
      //$LASTPOS=17000068;//user.Main:68
      Tonyu.globals.$playedOnce=true;
      //$LASTPOS=17000086;//user.Main:86
      Tonyu.globals.$alist=new Tonyu.classes.user.AList;
      //$LASTPOS=17000104;//user.Main:104
      _this.update();
      //$LASTPOS=17000114;//user.Main:114
      Tonyu.globals.$state="play";
      //$LASTPOS=17000129;//user.Main:129
      _this.x=100;
      //$LASTPOS=17000135;//user.Main:135
      _this.y=400;
      //$LASTPOS=17000142;//user.Main:142
      new Tonyu.classes.user.Field;
      //$LASTPOS=17000153;//user.Main:153
      Tonyu.globals.$Screen.resize(32*12,600);
      //$LASTPOS=17000180;//user.Main:180
      new Tonyu.classes.user.BackPanel;
      //$LASTPOS=17000195;//user.Main:195
      new Tonyu.classes.kernel.Label({template: "所持金 $money 円  時間 $time",x: _this.x-100,y: _this.y,align: "left",size: 30});
      //$LASTPOS=17000276;//user.Main:276
      _this.y+=50;
      //$LASTPOS=17000283;//user.Main:283
      new Tonyu.classes.kernel.Label({template: "$fare 円",x: _this.x,y: _this.y,size: 30});
      //$LASTPOS=17000325;//user.Main:325
      _this.x+=50;
      //$LASTPOS=17000332;//user.Main:332
      new Tonyu.classes.kernel.Button({text: "課金する",left: _this.x,top: _this.y,width: 200,onClick: Tonyu.bindFunc(_this,_this.charge)});
      //$LASTPOS=17000394;//user.Main:394
      _this.x-=100;
      //$LASTPOS=17000401;//user.Main:401
      _this.y+=50;
      //$LASTPOS=17000408;//user.Main:408
      new Tonyu.classes.kernel.Button({text: "↑",left: _this.x,top: _this.y,width: 50,onClick: Tonyu.bindFunc(_this,_this.fareup)});
      //$LASTPOS=17000466;//user.Main:466
      _this.x+=50;
      //$LASTPOS=17000473;//user.Main:473
      new Tonyu.classes.kernel.Button({text: "↓",left: _this.x,top: _this.y,width: 50,onClick: Tonyu.bindFunc(_this,_this.faredown)});
      //$LASTPOS=17000534;//user.Main:534
      _this.p=- 1;
      //$LASTPOS=17000540;//user.Main:540
      Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_bgm,true);
      //$LASTPOS=17000733;//user.Main:733
      new Tonyu.classes.user.CountDown;
      //$LASTPOS=17000748;//user.Main:748
      while (Tonyu.globals.$state=="play") {
        Tonyu.checkLoop();
        //$LASTPOS=17000776;//user.Main:776
        if (Tonyu.globals.$touches[0].touched) {
          //$LASTPOS=17000811;//user.Main:811
          _this.t = Tonyu.globals.$touches[0];
          
          //$LASTPOS=17000838;//user.Main:838
          _this.a = _this.all(Tonyu.classes.user.Achievement).find((function anonymous_865(a) {
            
            return a.inrect(_this.t);
          })).nearest(_this.t);
          
          //$LASTPOS=17000934;//user.Main:934
          if (_this.a) {
            //$LASTPOS=17000941;//user.Main:941
            _this.a.receive();
          }
          
        }
        //$LASTPOS=17000964;//user.Main:964
        Tonyu.globals.$frames++;
        //$LASTPOS=17000979;//user.Main:979
        Tonyu.globals.$time=60-_this.floor(Tonyu.globals.$frames/Tonyu.globals.$Boot.getFrameRate());
        //$LASTPOS=17001029;//user.Main:1029
        if (Tonyu.globals.$money<=0) {
          //$LASTPOS=17001044;//user.Main:1044
          Tonyu.globals.$state="gameover";
        }
        //$LASTPOS=17001067;//user.Main:1067
        if (Tonyu.globals.$time<=0) {
          //$LASTPOS=17001081;//user.Main:1081
          _this.loadPage(Tonyu.classes.user.Buy);
        }
        //$LASTPOS=17001100;//user.Main:1100
        _this.update();
        
      }
      switch (Tonyu.globals.$state) {
      case "gameover":
        //$LASTPOS=17001154;//user.Main:1154
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_death);
        //$LASTPOS=17001185;//user.Main:1185
        new Tonyu.classes.kernel.Label({text: "ゲームオーバー",x: 230,y: 200,size: 50});
        //$LASTPOS=17001236;//user.Main:1236
        Tonyu.globals.$mesg="合計"+Tonyu.globals.$score+"円を課金したところで金が尽きて無念のリタイア．";
        break;
        
      case "clear":
        //$LASTPOS=17001314;//user.Main:1314
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_fanfare);
        //$LASTPOS=17001347;//user.Main:1347
        Tonyu.globals.$mesg=Tonyu.globals.$time+"秒かけて"+Tonyu.globals.$theme+"を見事"+Tonyu.globals.$score+"個集めきった．";
        //$LASTPOS=17001401;//user.Main:1401
        new Tonyu.classes.kernel.Label({text: "クリア",x: 230,y: 200,size: 50});
        break;
        
      }
      //$LASTPOS=17001457;//user.Main:1457
      new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle)});
      //$LASTPOS=17001524;//user.Main:1524
      new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
    },
    fiber$main :function _trc_Main_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=17000000;//user.Main:0
      Tonyu.globals.$score=0;
      //$LASTPOS=17000010;//user.Main:10
      Tonyu.globals.$money=100;
      //$LASTPOS=17000022;//user.Main:22
      Tonyu.globals.$time=0;
      //$LASTPOS=17000031;//user.Main:31
      Tonyu.globals.$frames=0;
      //$LASTPOS=17000042;//user.Main:42
      Tonyu.globals.$fare=10;
      //$LASTPOS=17000052;//user.Main:52
      Tonyu.globals.$inTitle=false;
      //$LASTPOS=17000068;//user.Main:68
      Tonyu.globals.$playedOnce=true;
      //$LASTPOS=17000086;//user.Main:86
      Tonyu.globals.$alist=new Tonyu.classes.user.AList;
      
      _thread.enter(function _trc_Main_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=17000104;//user.Main:104
            _this.fiber$update(_thread);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=17000114;//user.Main:114
            Tonyu.globals.$state="play";
            //$LASTPOS=17000129;//user.Main:129
            _this.x=100;
            //$LASTPOS=17000135;//user.Main:135
            _this.y=400;
            //$LASTPOS=17000142;//user.Main:142
            new Tonyu.classes.user.Field;
            //$LASTPOS=17000153;//user.Main:153
            Tonyu.globals.$Screen.resize(32*12,600);
            //$LASTPOS=17000180;//user.Main:180
            new Tonyu.classes.user.BackPanel;
            //$LASTPOS=17000195;//user.Main:195
            new Tonyu.classes.kernel.Label({template: "所持金 $money 円  時間 $time",x: _this.x-100,y: _this.y,align: "left",size: 30});
            //$LASTPOS=17000276;//user.Main:276
            _this.y+=50;
            //$LASTPOS=17000283;//user.Main:283
            new Tonyu.classes.kernel.Label({template: "$fare 円",x: _this.x,y: _this.y,size: 30});
            //$LASTPOS=17000325;//user.Main:325
            _this.x+=50;
            //$LASTPOS=17000332;//user.Main:332
            new Tonyu.classes.kernel.Button({text: "課金する",left: _this.x,top: _this.y,width: 200,onClick: Tonyu.bindFunc(_this,_this.charge)});
            //$LASTPOS=17000394;//user.Main:394
            _this.x-=100;
            //$LASTPOS=17000401;//user.Main:401
            _this.y+=50;
            //$LASTPOS=17000408;//user.Main:408
            new Tonyu.classes.kernel.Button({text: "↑",left: _this.x,top: _this.y,width: 50,onClick: Tonyu.bindFunc(_this,_this.fareup)});
            //$LASTPOS=17000466;//user.Main:466
            _this.x+=50;
            //$LASTPOS=17000473;//user.Main:473
            new Tonyu.classes.kernel.Button({text: "↓",left: _this.x,top: _this.y,width: 50,onClick: Tonyu.bindFunc(_this,_this.faredown)});
            //$LASTPOS=17000534;//user.Main:534
            _this.p=- 1;
            //$LASTPOS=17000540;//user.Main:540
            Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_bgm,true);
            //$LASTPOS=17000733;//user.Main:733
            new Tonyu.classes.user.CountDown;
            //$LASTPOS=17000748;//user.Main:748
          case 2:
            if (!(Tonyu.globals.$state=="play")) { __pc=5     ; break; }
            //$LASTPOS=17000776;//user.Main:776
            if (!(Tonyu.globals.$touches[0].touched)) { __pc=3     ; break; }
            //$LASTPOS=17000811;//user.Main:811
            _this.t = Tonyu.globals.$touches[0];
            
            //$LASTPOS=17000838;//user.Main:838
            _this.a = _this.all(Tonyu.classes.user.Achievement).find((function anonymous_865(a) {
              
              return a.inrect(_this.t);
            })).nearest(_this.t);
            
            //$LASTPOS=17000934;//user.Main:934
            if (_this.a) {
              //$LASTPOS=17000941;//user.Main:941
              _this.a.receive();
            }
          case 3     :
            
            //$LASTPOS=17000964;//user.Main:964
            Tonyu.globals.$frames++;
            //$LASTPOS=17000979;//user.Main:979
            Tonyu.globals.$time=60-_this.floor(Tonyu.globals.$frames/Tonyu.globals.$Boot.getFrameRate());
            //$LASTPOS=17001029;//user.Main:1029
            if (Tonyu.globals.$money<=0) {
              //$LASTPOS=17001044;//user.Main:1044
              Tonyu.globals.$state="gameover";
            }
            //$LASTPOS=17001067;//user.Main:1067
            if (Tonyu.globals.$time<=0) {
              //$LASTPOS=17001081;//user.Main:1081
              _this.loadPage(Tonyu.classes.user.Buy);
            }
            //$LASTPOS=17001100;//user.Main:1100
            _this.fiber$update(_thread);
            __pc=4;return;
          case 4:
            
            __pc=2;break;
          case 5     :
            
            switch (Tonyu.globals.$state) {
            case "gameover":
              __pc=6     ;break;
            case "clear":
              __pc=7     ;break;
            default:
              __pc=8     ;break;
              
            }
            break;
          case 6     :
            //$LASTPOS=17001154;//user.Main:1154
            Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_death);
            //$LASTPOS=17001185;//user.Main:1185
            new Tonyu.classes.kernel.Label({text: "ゲームオーバー",x: 230,y: 200,size: 50});
            //$LASTPOS=17001236;//user.Main:1236
            Tonyu.globals.$mesg="合計"+Tonyu.globals.$score+"円を課金したところで金が尽きて無念のリタイア．";
            __pc=8     ; break;
            
          case 7     :
            //$LASTPOS=17001314;//user.Main:1314
            Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_fanfare);
            //$LASTPOS=17001347;//user.Main:1347
            Tonyu.globals.$mesg=Tonyu.globals.$time+"秒かけて"+Tonyu.globals.$theme+"を見事"+Tonyu.globals.$score+"個集めきった．";
            //$LASTPOS=17001401;//user.Main:1401
            new Tonyu.classes.kernel.Label({text: "クリア",x: 230,y: 200,size: 50});
            __pc=8     ; break;
            
            case 8     :
            
            //$LASTPOS=17001457;//user.Main:1457
            new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle)});
            //$LASTPOS=17001524;//user.Main:1524
            new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
            _thread.exit(_this);return;
          }
        }
      });
    },
    goTitle :function _trc_Main_goTitle() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=17001605;//user.Main:1605
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
    },
    fiber$goTitle :function _trc_Main_f_goTitle(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=17001605;//user.Main:1605
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
      
      _thread.retVal=_this;return;
    },
    tweet :function _trc_Main_tweet() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=17001661;//user.Main:1661
      Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
    },
    fiber$tweet :function _trc_Main_f_tweet(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=17001661;//user.Main:1661
      Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
      
      _thread.retVal=_this;return;
    },
    fareup :function _trc_Main_fareup() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=17001728;//user.Main:1728
      Tonyu.globals.$fare=_this.clamp(Tonyu.globals.$fare+10,10,50);
    },
    fiber$fareup :function _trc_Main_f_fareup(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=17001728;//user.Main:1728
      Tonyu.globals.$fare=_this.clamp(Tonyu.globals.$fare+10,10,50);
      
      _thread.retVal=_this;return;
    },
    faredown :function _trc_Main_faredown() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=17001771;//user.Main:1771
      Tonyu.globals.$fare=_this.clamp(Tonyu.globals.$fare-10,10,50);
    },
    fiber$faredown :function _trc_Main_f_faredown(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=17001771;//user.Main:1771
      Tonyu.globals.$fare=_this.clamp(Tonyu.globals.$fare-10,10,50);
      
      _thread.retVal=_this;return;
    },
    charge :function _trc_Main_charge() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=17001817;//user.Main:1817
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pay);
      //$LASTPOS=17001845;//user.Main:1845
      Tonyu.globals.$score+=Tonyu.globals.$fare;
      //$LASTPOS=17001864;//user.Main:1864
      Tonyu.globals.$money-=Tonyu.globals.$fare;
      //$LASTPOS=17001886;//user.Main:1886
      Tonyu.globals.$alist.addLog({type: "charge",fare: Tonyu.globals.$fare,after: Tonyu.globals.$money});
    },
    fiber$charge :function _trc_Main_f_charge(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=17001817;//user.Main:1817
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pay);
      //$LASTPOS=17001845;//user.Main:1845
      Tonyu.globals.$score+=Tonyu.globals.$fare;
      //$LASTPOS=17001864;//user.Main:1864
      Tonyu.globals.$money-=Tonyu.globals.$fare;
      //$LASTPOS=17001886;//user.Main:1886
      Tonyu.globals.$alist.addLog({type: "charge",fare: Tonyu.globals.$fare,after: Tonyu.globals.$money});
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"goTitle":{"nowait":false},"tweet":{"nowait":false},"fareup":{"nowait":false},"faredown":{"nowait":false},"charge":{"nowait":false}},"fields":{"t":{},"a":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Player_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=18000020;//user.Player:20
      _this.pad=new Tonyu.classes.kernel.APad;
      //$LASTPOS=18000034;//user.Player:34
      _this.p=Tonyu.globals.$pat_ahoge26+0;
      //$LASTPOS=18000052;//user.Player:52
      _this.radius=16;
      //$LASTPOS=18000063;//user.Player:63
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=18000081;//user.Player:81
        _this.vx+=_this.pad.vx*0.3;
        //$LASTPOS=18000120;//user.Player:120
        _this.t=_this.contactTo(Tonyu.classes.user.Target);
        //$LASTPOS=18000145;//user.Player:145
        if (_this.t) {
          //$LASTPOS=18000162;//user.Player:162
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin,{rate: 1+Tonyu.globals.$score*0.1});
          //$LASTPOS=18000215;//user.Player:215
          Tonyu.globals.$score+=1;
          //$LASTPOS=18000234;//user.Player:234
          _this.t.die();
          //$LASTPOS=18000251;//user.Player:251
          if (Tonyu.globals.$score>=10) {
            //$LASTPOS=18000281;//user.Player:281
            Tonyu.globals.$state="clear";
            break;
            
            
          }
          
        }
        //$LASTPOS=18000336;//user.Player:336
        _this.cp=_this.contactPoint(Tonyu.classes.user.Floor);
        //$LASTPOS=18000364;//user.Player:364
        if (_this.cp&&_this.cp.y>_this.y) {
          //$LASTPOS=18000392;//user.Player:392
          _this.jumpable=1;
          
        }
        //$LASTPOS=18000414;//user.Player:414
        if (_this.pad.vy<- 0.1&&_this.jumpable) {
          //$LASTPOS=18000453;//user.Player:453
          _this.jumpable--;
          //$LASTPOS=18000473;//user.Player:473
          _this.vy=- 10;
          
        }
        //$LASTPOS=18000491;//user.Player:491
        _this.e=_this.contactTo(Tonyu.classes.user.Enemy);
        //$LASTPOS=18000515;//user.Player:515
        if (_this.e) {
          //$LASTPOS=18000532;//user.Player:532
          Tonyu.globals.$state="gameover";
          //$LASTPOS=18000559;//user.Player:559
          _this.die();
          
        }
        //$LASTPOS=18000576;//user.Player:576
        if (_this.screenOut()) {
          //$LASTPOS=18000593;//user.Player:593
          Tonyu.globals.$state="gameover";
        }
        //$LASTPOS=18000616;//user.Player:616
        _this.update();
        
      }
    },
    fiber$main :function _trc_Player_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=18000020;//user.Player:20
      _this.pad=new Tonyu.classes.kernel.APad;
      //$LASTPOS=18000034;//user.Player:34
      _this.p=Tonyu.globals.$pat_ahoge26+0;
      //$LASTPOS=18000052;//user.Player:52
      _this.radius=16;
      
      _thread.enter(function _trc_Player_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=18000063;//user.Player:63
          case 1:
            //$LASTPOS=18000081;//user.Player:81
            _this.vx+=_this.pad.vx*0.3;
            //$LASTPOS=18000120;//user.Player:120
            _this.fiber$contactTo(_thread, Tonyu.classes.user.Target);
            __pc=2;return;
          case 2:
            _this.t=_thread.retVal;
            
            //$LASTPOS=18000145;//user.Player:145
            if (!(_this.t)) { __pc=4     ; break; }
            //$LASTPOS=18000162;//user.Player:162
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin,{rate: 1+Tonyu.globals.$score*0.1});
            //$LASTPOS=18000215;//user.Player:215
            Tonyu.globals.$score+=1;
            //$LASTPOS=18000234;//user.Player:234
            _this.t.die();
            //$LASTPOS=18000251;//user.Player:251
            if (!(Tonyu.globals.$score>=10)) { __pc=3     ; break; }
            //$LASTPOS=18000281;//user.Player:281
            Tonyu.globals.$state="clear";
            __pc=8     ; break;
            
          case 3     :
            
          case 4     :
            
            //$LASTPOS=18000336;//user.Player:336
            _this.fiber$contactPoint(_thread, Tonyu.classes.user.Floor);
            __pc=5;return;
          case 5:
            _this.cp=_thread.retVal;
            
            //$LASTPOS=18000364;//user.Player:364
            if (_this.cp&&_this.cp.y>_this.y) {
              //$LASTPOS=18000392;//user.Player:392
              _this.jumpable=1;
              
            }
            //$LASTPOS=18000414;//user.Player:414
            if (_this.pad.vy<- 0.1&&_this.jumpable) {
              //$LASTPOS=18000453;//user.Player:453
              _this.jumpable--;
              //$LASTPOS=18000473;//user.Player:473
              _this.vy=- 10;
              
            }
            //$LASTPOS=18000491;//user.Player:491
            _this.fiber$contactTo(_thread, Tonyu.classes.user.Enemy);
            __pc=6;return;
          case 6:
            _this.e=_thread.retVal;
            
            //$LASTPOS=18000515;//user.Player:515
            if (_this.e) {
              //$LASTPOS=18000532;//user.Player:532
              Tonyu.globals.$state="gameover";
              //$LASTPOS=18000559;//user.Player:559
              _this.die();
              
            }
            //$LASTPOS=18000576;//user.Player:576
            if (_this.screenOut()) {
              //$LASTPOS=18000593;//user.Player:593
              Tonyu.globals.$state="gameover";
            }
            //$LASTPOS=18000616;//user.Player:616
            _this.fiber$update(_thread);
            __pc=7;return;
          case 7:
            
            __pc=1;break;
          case 8     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"pad":{},"t":{},"cp":{},"jumpable":{},"e":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Reward',
  shortName: 'Reward',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Reward_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=19000000;//user.Reward:0
      _this.text="+"+_this.amount;
      //$LASTPOS=19000017;//user.Reward:17
      _this.size=30;
      //$LASTPOS=19000026;//user.Reward:26
      _this.zOrder=- 20;
      //$LASTPOS=19000038;//user.Reward:38
      //$LASTPOS=19000043;//user.Reward:43
      _this.i=0;for (; _this.i<_this.amount ; _this.i+=10) {
        Tonyu.checkLoop();
        //$LASTPOS=19000063;//user.Reward:63
        new Tonyu.classes.user.Coin({x: _this.x,y: _this.y});
      }
      //$LASTPOS=19000079;//user.Reward:79
      //$LASTPOS=19000083;//user.Reward:83
      _this.i=0;for (; _this.i<30 ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=19000103;//user.Reward:103
          _this.y--;
          //$LASTPOS=19000112;//user.Reward:112
          _this.update();
        }
      }
      //$LASTPOS=19000124;//user.Reward:124
      _this.die();
    },
    fiber$main :function _trc_Reward_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=19000000;//user.Reward:0
      _this.text="+"+_this.amount;
      //$LASTPOS=19000017;//user.Reward:17
      _this.size=30;
      //$LASTPOS=19000026;//user.Reward:26
      _this.zOrder=- 20;
      //$LASTPOS=19000038;//user.Reward:38
      //$LASTPOS=19000043;//user.Reward:43
      _this.i=0;for (; _this.i<_this.amount ; _this.i+=10) {
        Tonyu.checkLoop();
        //$LASTPOS=19000063;//user.Reward:63
        new Tonyu.classes.user.Coin({x: _this.x,y: _this.y});
      }
      
      _thread.enter(function _trc_Reward_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=19000079;//user.Reward:79
            //$LASTPOS=19000083;//user.Reward:83
            _this.i=0;
          case 1:
            if (!(_this.i<30)) { __pc=4     ; break; }
            //$LASTPOS=19000103;//user.Reward:103
            _this.y--;
            //$LASTPOS=19000112;//user.Reward:112
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
          case 3     :
            _this.i++;
            __pc=1;break;
          case 4     :
            
            //$LASTPOS=19000124;//user.Reward:124
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"amount":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Setting',
  shortName: 'Setting',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Setting_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=20000027;//user.Setting:27
      Tonyu.globals.$no=26;
      //$LASTPOS=20000035;//user.Setting:35
      Tonyu.globals.$theme="サラダ";
      //$LASTPOS=20000120;//user.Setting:120
      Tonyu.globals.$title="課金の実績";
      //$LASTPOS=20000136;//user.Setting:136
      Tonyu.globals.$author="hoge1e3";
      //$LASTPOS=20000155;//user.Setting:155
      Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
      //$LASTPOS=20000183;//user.Setting:183
      Tonyu.globals.$story="あなたは課金が好きなので，\n"+"課金をどんどんしよう!\n"+"かっこよく課金すると実績がもらえるぞ!\n"+"もらったお金でサラダを作るのだ！";
      //$LASTPOS=20000306;//user.Setting:306
      Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=773";
      //$LASTPOS=20000371;//user.Setting:371
      Tonyu.globals.$playedOnce=false;
      //$LASTPOS=20000405;//user.Setting:405
      _this.loadPage(Tonyu.classes.user.Title);
      //$LASTPOS=20000422;//user.Setting:422
      Tonyu.globals.$vegs=["トマト","キャベツ","レタス","アスパラ","きゅうり","とうもろこし","アボカド","ラディッシュ","なす","春菊","白菜"];
    },
    fiber$main :function _trc_Setting_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=20000027;//user.Setting:27
      Tonyu.globals.$no=26;
      //$LASTPOS=20000035;//user.Setting:35
      Tonyu.globals.$theme="サラダ";
      //$LASTPOS=20000120;//user.Setting:120
      Tonyu.globals.$title="課金の実績";
      //$LASTPOS=20000136;//user.Setting:136
      Tonyu.globals.$author="hoge1e3";
      //$LASTPOS=20000155;//user.Setting:155
      Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
      //$LASTPOS=20000183;//user.Setting:183
      Tonyu.globals.$story="あなたは課金が好きなので，\n"+"課金をどんどんしよう!\n"+"かっこよく課金すると実績がもらえるぞ!\n"+"もらったお金でサラダを作るのだ！";
      //$LASTPOS=20000306;//user.Setting:306
      Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=773";
      //$LASTPOS=20000371;//user.Setting:371
      Tonyu.globals.$playedOnce=false;
      //$LASTPOS=20000405;//user.Setting:405
      _this.loadPage(Tonyu.classes.user.Title);
      //$LASTPOS=20000422;//user.Setting:422
      Tonyu.globals.$vegs=["トマト","キャベツ","レタス","アスパラ","きゅうり","とうもろこし","アボカド","ラディッシュ","なす","春菊","白菜"];
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Target',
  shortName: 'Target',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Target_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=21000020;//user.Target:20
      _this.p=Tonyu.globals.$pat_ahoge26+1;
      //$LASTPOS=21000038;//user.Target:38
      _this.radius=16;
      //$LASTPOS=21000050;//user.Target:50
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=21000068;//user.Target:68
        _this.x+=_this.vx;
        //$LASTPOS=21000079;//user.Target:79
        _this.y+=_this.vy;
        //$LASTPOS=21000090;//user.Target:90
        if (_this.screenOut()) {
          //$LASTPOS=21000107;//user.Target:107
          _this.die();
        }
        //$LASTPOS=21000118;//user.Target:118
        _this.update();
        
      }
    },
    fiber$main :function _trc_Target_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=21000020;//user.Target:20
      _this.p=Tonyu.globals.$pat_ahoge26+1;
      //$LASTPOS=21000038;//user.Target:38
      _this.radius=16;
      
      _thread.enter(function _trc_Target_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=21000050;//user.Target:50
          case 1:
            //$LASTPOS=21000068;//user.Target:68
            _this.x+=_this.vx;
            //$LASTPOS=21000079;//user.Target:79
            _this.y+=_this.vy;
            //$LASTPOS=21000090;//user.Target:90
            if (_this.screenOut()) {
              //$LASTPOS=21000107;//user.Target:107
              _this.die();
            }
            //$LASTPOS=21000118;//user.Target:118
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Tax',
  shortName: 'Tax',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Tax_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=22000001;//user.Tax:1
      _this.duration=30*60;
      //$LASTPOS=22000017;//user.Tax:17
      _this.amount=100;
      //$LASTPOS=22000029;//user.Tax:29
      _this.size=30;
      //$LASTPOS=22000038;//user.Tax:38
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=22000057;//user.Tax:57
        _this.updateEx(_this.duration);
        //$LASTPOS=22000081;//user.Tax:81
        _this.x=6*32;
        //$LASTPOS=22000093;//user.Tax:93
        _this.y=200;
        //$LASTPOS=22000104;//user.Tax:104
        //$LASTPOS=22000108;//user.Tax:108
        _this.s = 5;
        for (; _this.s>0 ; _this.s--) {
          Tonyu.checkLoop();
          {
            //$LASTPOS=22000135;//user.Tax:135
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_warn);
            //$LASTPOS=22000168;//user.Tax:168
            _this.text="課税まで"+_this.s+"秒";
            //$LASTPOS=22000195;//user.Tax:195
            _this.updateEx(60);
          }
        }
        //$LASTPOS=22000219;//user.Tax:219
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_damage);
        //$LASTPOS=22000250;//user.Tax:250
        _this.text=_this.amount+"円課税された！";
        //$LASTPOS=22000277;//user.Tax:277
        Tonyu.globals.$money-=_this.amount;
        //$LASTPOS=22000297;//user.Tax:297
        Tonyu.globals.$alist.addLog({type: "tax",amount: _this.amount,after: Tonyu.globals.$money});
        //$LASTPOS=22000348;//user.Tax:348
        _this.amount+=100;
        //$LASTPOS=22000365;//user.Tax:365
        _this.updateEx(60);
        //$LASTPOS=22000383;//user.Tax:383
        _this.text="";
        
      }
    },
    fiber$main :function _trc_Tax_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=22000001;//user.Tax:1
      _this.duration=30*60;
      //$LASTPOS=22000017;//user.Tax:17
      _this.amount=100;
      //$LASTPOS=22000029;//user.Tax:29
      _this.size=30;
      
      _thread.enter(function _trc_Tax_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=22000038;//user.Tax:38
          case 1:
            //$LASTPOS=22000057;//user.Tax:57
            _this.fiber$updateEx(_thread, _this.duration);
            __pc=2;return;
          case 2:
            
            //$LASTPOS=22000081;//user.Tax:81
            _this.x=6*32;
            //$LASTPOS=22000093;//user.Tax:93
            _this.y=200;
            //$LASTPOS=22000104;//user.Tax:104
            //$LASTPOS=22000108;//user.Tax:108
            _this.s = 5;
            
          case 3:
            if (!(_this.s>0)) { __pc=6     ; break; }
            //$LASTPOS=22000135;//user.Tax:135
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_warn);
            //$LASTPOS=22000168;//user.Tax:168
            _this.text="課税まで"+_this.s+"秒";
            //$LASTPOS=22000195;//user.Tax:195
            _this.fiber$updateEx(_thread, 60);
            __pc=4;return;
          case 4:
            
          case 5     :
            _this.s--;
            __pc=3;break;
          case 6     :
            
            //$LASTPOS=22000219;//user.Tax:219
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_damage);
            //$LASTPOS=22000250;//user.Tax:250
            _this.text=_this.amount+"円課税された！";
            //$LASTPOS=22000277;//user.Tax:277
            Tonyu.globals.$money-=_this.amount;
            //$LASTPOS=22000297;//user.Tax:297
            Tonyu.globals.$alist.addLog({type: "tax",amount: _this.amount,after: Tonyu.globals.$money});
            //$LASTPOS=22000348;//user.Tax:348
            _this.amount+=100;
            //$LASTPOS=22000365;//user.Tax:365
            _this.fiber$updateEx(_thread, 60);
            __pc=7;return;
          case 7:
            
            //$LASTPOS=22000383;//user.Tax:383
            _this.text="";
            __pc=1;break;
          case 8     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"s":{},"duration":{},"amount":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Title_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=23000000;//user.Title:0
      Tonyu.globals.$alist=new Tonyu.classes.user.AList;
      //$LASTPOS=23000018;//user.Title:18
      Tonyu.globals.$Screen.resize(32*12,600);
      //$LASTPOS=23000054;//user.Title:54
      new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
      //$LASTPOS=23000172;//user.Title:172
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 30,color: "white"});
      //$LASTPOS=23000279;//user.Title:279
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 20,color: "white"});
      //$LASTPOS=23000386;//user.Title:386
      new Tonyu.classes.kernel.Button({text: "Start",top: 300,onClick: Tonyu.bindFunc(_this,_this.start)});
      //$LASTPOS=23000468;//user.Title:468
      _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 100,size: 30});
      //$LASTPOS=23000519;//user.Title:519
      new Tonyu.classes.kernel.Button({text: "On↔Off",left: 200,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
      //$LASTPOS=23000639;//user.Title:639
      Tonyu.globals.$sound.mute=false;
      //$LASTPOS=23000658;//user.Title:658
      _this.updateEx(60*5);
      //$LASTPOS=23000674;//user.Title:674
      _this.l=Tonyu.globals.$alist.list;
      //$LASTPOS=23000689;//user.Title:689
      Tonyu.globals.$inTitle=true;
      //$LASTPOS=23000704;//user.Title:704
      if (Tonyu.globals.$playedOnce) {
        //$LASTPOS=23000727;//user.Title:727
        while (true) {
          Tonyu.checkLoop();
          //$LASTPOS=23000749;//user.Title:749
          _this.ll=_this.l[_this.rnd(_this.l.length)];
          //$LASTPOS=23000778;//user.Title:778
          new Tonyu.classes.user.Achievement({a: _this.ll});
          //$LASTPOS=23000809;//user.Title:809
          _this.updateEx(60*5);
          
        }
        
      }
    },
    fiber$main :function _trc_Title_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=23000000;//user.Title:0
      Tonyu.globals.$alist=new Tonyu.classes.user.AList;
      //$LASTPOS=23000018;//user.Title:18
      Tonyu.globals.$Screen.resize(32*12,600);
      //$LASTPOS=23000054;//user.Title:54
      new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
      //$LASTPOS=23000172;//user.Title:172
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 30,color: "white"});
      //$LASTPOS=23000279;//user.Title:279
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 20,color: "white"});
      //$LASTPOS=23000386;//user.Title:386
      new Tonyu.classes.kernel.Button({text: "Start",top: 300,onClick: Tonyu.bindFunc(_this,_this.start)});
      //$LASTPOS=23000468;//user.Title:468
      _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 100,size: 30});
      //$LASTPOS=23000519;//user.Title:519
      new Tonyu.classes.kernel.Button({text: "On↔Off",left: 200,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
      //$LASTPOS=23000639;//user.Title:639
      Tonyu.globals.$sound.mute=false;
      
      _thread.enter(function _trc_Title_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=23000658;//user.Title:658
            _this.fiber$updateEx(_thread, 60*5);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=23000674;//user.Title:674
            _this.l=Tonyu.globals.$alist.list;
            //$LASTPOS=23000689;//user.Title:689
            Tonyu.globals.$inTitle=true;
            //$LASTPOS=23000704;//user.Title:704
            if (!(Tonyu.globals.$playedOnce)) { __pc=5     ; break; }
            //$LASTPOS=23000727;//user.Title:727
          case 2:
            //$LASTPOS=23000749;//user.Title:749
            _this.ll=_this.l[_this.rnd(_this.l.length)];
            //$LASTPOS=23000778;//user.Title:778
            new Tonyu.classes.user.Achievement({a: _this.ll});
            //$LASTPOS=23000809;//user.Title:809
            _this.fiber$updateEx(_thread, 60*5);
            __pc=3;return;
          case 3:
            
            __pc=2;break;
          case 4     :
            
          case 5     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    start :function _trc_Title_start() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=23000902;//user.Title:902
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
    },
    fiber$start :function _trc_Title_f_start(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=23000902;//user.Title:902
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
      
      _thread.retVal=_this;return;
    },
    toggleSound :function _trc_Title_toggleSound() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=23000964;//user.Title:964
      Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
      //$LASTPOS=23000994;//user.Title:994
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=23001045;//user.Title:1045
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
    },
    fiber$toggleSound :function _trc_Title_f_toggleSound(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=23000964;//user.Title:964
      Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
      //$LASTPOS=23000994;//user.Title:994
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=23001045;//user.Title:1045
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"start":{"nowait":false},"toggleSound":{"nowait":false}},"fields":{"sb":{},"l":{},"ll":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Cat',
  shortName: 'Cat',
  namespace: 'user',
  superclass: Tonyu.classes.user.Chara,
  includes: [],
  methods: {
    main :function _trc_Cat_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=24000016;//user.Cat:16
      _this.on("move",(function anonymous_27() {
        var f;
        
        //$LASTPOS=24000034;//user.Cat:34
        f = _this.all(Tonyu.classes.user.Fish).find1((function anonymous_55(f) {
          
          return _this.crashTo(f);
        }));
        
        //$LASTPOS=24000102;//user.Cat:102
        if (Tonyu.globals.$itn.completed&&_this.rnd(10)==0) {
          //$LASTPOS=24000136;//user.Cat:136
          new Tonyu.classes.user.Bullet({pa: _this});
        }
        //$LASTPOS=24000161;//user.Cat:161
        if (f) {
          //$LASTPOS=24000178;//user.Cat:178
          _this.eat(f);
          
        }
      }));
      //$LASTPOS=24000195;//user.Cat:195
      _this.eaten=0;
      //$LASTPOS=24000204;//user.Cat:204
      _this.init();
      //$LASTPOS=24000212;//user.Cat:212
      _this.move();
    },
    fiber$main :function _trc_Cat_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Cat_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=24000016;//user.Cat:16
            _this.on("move",(function anonymous_27() {
              var f;
              
              //$LASTPOS=24000034;//user.Cat:34
              f = _this.all(Tonyu.classes.user.Fish).find1((function anonymous_55(f) {
                
                return _this.crashTo(f);
              }));
              
              //$LASTPOS=24000102;//user.Cat:102
              if (Tonyu.globals.$itn.completed&&_this.rnd(10)==0) {
                //$LASTPOS=24000136;//user.Cat:136
                new Tonyu.classes.user.Bullet({pa: _this});
              }
              //$LASTPOS=24000161;//user.Cat:161
              if (f) {
                //$LASTPOS=24000178;//user.Cat:178
                _this.eat(f);
                
              }
            }));
            //$LASTPOS=24000195;//user.Cat:195
            _this.eaten=0;
            //$LASTPOS=24000204;//user.Cat:204
            _this.fiber$init(_thread);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=24000212;//user.Cat:212
            _this.fiber$move(_thread);
            __pc=2;return;
          case 2:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __getter__voice :function _trc_Cat___getter__voice() {
      "use strict";
      var _this=this;
      
      return Tonyu.globals.$se_cat1a;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"__getter__voice":{"nowait":true}},"fields":{}}
});

//# sourceMappingURL=concat.js.map